<?php
#####################################################################################
## JROX.COM Affiliate Manager - dynamic.php file
## Version 1.6.2
##
## Author: 			Ryan Roxas(ryan@jrox.com)
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.
##
## This script may be only used and modified in accordance to the license
## agreement attached (license.txt) except where expressly noted within
## commented areas of the code body. This copyright notice and the
## comments above and below must remain intact at all times.  By using this
## code you agree to indemnify JROX Technologies, Inc, its corporate agents
## and affiliates from any liability that might arise from its use.
##
## Selling the code for this program without prior written consent is
## expressly forbidden and in violation of Domestic and International
## copyright laws.
#######################################################################################

#######################################################################################
## This file is used to redirect dynamic affiliate links                             ##
#######################################################################################

error_reporting(0);

define('JROX', 1);

require 'includes/config.php';
require 'includes/mod/mod_main.php';
require 'includes/mod/mod_js.php';
require 'includes/setlang.php';


if (strlen(JAM_SUBDOMAIN_NAME) > 0)
{
	define("HOME_BASE_URL", HTTP_TRANSPORT.JAM_DOMAIN_NAME);
}
else
{
	define("HOME_BASE_URL", HTTP_TRANSPORT.JAM_SUBDOMAIN_NAME.".".JAM_DOMAIN_NAME);
}

require HOME_BASE_DIRECTORY.'/includes/mod/mod_members.php';

############################
## GET SUBDOMAIN FROM URL ##
############################

eregi("^([^\.]+)\.",$_SERVER['HTTP_HOST'],$args);
$subdomain = $args[1];

########################
## CHECK FOR REDIRECT ##
########################

Check_Sub_Domain($subdomain);

?>