<?php
#####################################################################################
## JROX.COM Affiliate Manager - includes/mod/mod_js.php file
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

#######################################################################################
## This file holds all JavaScript-related functions
#######################################################################################

if (!defined('JROX'))
	die('Error');

function JS_Delete_Admin_Alert()
{
	global $mod, $req, $action;
	
	if (($mod == "commissions" AND $req == "viewcomms") || ($mod == "commissions" AND $req == "editcomm") || ($mod == "commissions" AND $req == "searchcomms"))
	{
?>
<script language="JavaScript" type="text/javascript">
function ConfirmCommDelete(cid){
	var answer=confirm("<?php echo CONFIRM_COMMISSION_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=commissions&req=deletecomm&cid="+cid;
	} 
}
</script>
<?php
	}
	
	if ($mod == "commissions" AND $req == "paymenthistory")
	{
?>
<script language="JavaScript" type="text/javascript">
function ConfirmPaymentDelete(id){
	var answer=confirm("<?php echo DELETE_PAYMENT_2 ?>")
	if(answer) {
		window.location="main.php?mod=commissions&req=paymenthistory&action=delete&id="+id;
	} 
}
</script>
<?php

	}
	
	if ($mod == "settings" AND $req == "admin" AND $action == "edit")
	{	
?>
<script language="JavaScript" type="text/javascript">
function ConfirmDelete(aid1){
	var answer=confirm("<?php echo CONFIRM_ADMIN_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=settings&req=admin&action=delete&do=1&aid="+aid1;
	} 
}
</script>
<?php
	}
	
	if ($mod == "settings" AND $req == "affsettings" AND $action == "groupedit")
	{	
?>
<script language="JavaScript" type="text/javascript">
function ConfirmGroupDelete(agid){
	var answer=confirm("<?php echo CONFIRM_GROUP_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=settings&req=affsettings&action=groupedit&do=2&agid="+agid;
	} 
}
</script>
<?php
	}	
	
	if (($mod == "products" AND $req == "viewproducts") || ($mod == "products" AND $req == "editproduct"))
	{
?>
<script language="JavaScript" type="text/javascript">
function ConfirmProductDelete(pid){
	var answer=confirm("<?php echo CONFIRM_PRODUCT_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=products&req=deleteproduct&action=delete&pid="+pid;
	} 
}
</script>
<?php
	}
	
	if (($mod == "marketing" && $action == "edit") || ($mod == "marketing" && $action == "view"))
	{
	
		switch($req)
		{
			case "banners":
				$id = "bid";
			break;
			
			case "textlinks":
				$id = "tlid";
			break;
			
			case "textads":
				$id = "taid";
			break;
			
			case "hoverads":
				$id = "haid";
			break;
			
			case "emailads":
				$id = "eaid";
			break;
			
			case "articleads":
				$id = "aaid";
			break;
			
		}
?>
<script language="JavaScript" type="text/javascript">
function ConfirmToolDelete(id){
	var answer=confirm("<?php echo CONFIRM_TOOL_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=marketing&req=<?php echo $req ?>&do=1&action=delete&<?php echo $id ?>="+id;
	} 
}
</script>
<?php
	}
	
	if ($mod == 'downloads')
	{
?>
<script language="JavaScript" type="text/javascript">
function ConfirmDownloadDelete(id){
	var answer=confirm("<?php echo CONFIRM_DOWNLOAD_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=downloads&req=delete&id="+id;
	} 
}
</script>
<?php
	}
	
	if ($mod == 'mempayments')
	{
?>
<script language="JavaScript" type="text/javascript">
function ConfirmDelete(id){
	var answer=confirm("<?php echo CONFIRM_MEMBERSHIP_PAYMENT_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=mempayments&req=delete&id="+id;
	} 
}
</script>
<?php
	}
	
}

function js_pop($url) 
{
	$string = "javascript:void(window.open('main.php?mod=bookmarks&url=$url', 'popup', 'width=390,height=185, location=no, menubar=no, status=no,toolbar=no, scrollbars=yes, resizable=yes'))";
	return $string;
}

function JX_Drop_Down() 
{
global $mod, $req, $pid, $member_order_by, $sort_order, $order_by, $max_results, $filter, $mid, $date1, $date2,
       $search_term, $search_criteria, $affiliate_group, $date, $ref_order_by, $search_status,
	   $type, $page, $priority, $event_order_by, $action, $comm_order_by, $paymenttype;
?>

<script language="JavaScript" type="text/javascript">

/***********************************************
* AnyLink Drop Down Menu-  Dynamic Drive (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit http://www.dynamicdrive.com/ for full source code
***********************************************/

//AFFILIATES MENU
var menu1=new Array()
menu1[0]='<a href="main.php?mod=affiliates&req=viewall"><?php echo EDIT_DELETE_AFFILIATES ?></a>'
menu1[1]='<a href="main.php?mod=affiliates&req=addaff"><?php echo ADD_NEW_AFFILIATE ?></a>'
menu1[2]='<a href="main.php?mod=affiliates&req=searchaffs"><?php echo SEARCH_AFFILIATES ?></a>'
menu1[3]='<a href="main.php?mod=affiliates&req=emailall"><?php echo EMAIL_AFFILIATES ?></a>'
menu1[4]='<a href="main.php?mod=affiliates&req=payaffs"><?php echo PAY_AFFILIATES ?></a>'
//menu1[5]='<a href="main.php?mod=mempayments&req=overview"><?php echo AFFILIATE_MEMBERSHIPS ?></a>'

//COMMISSIONS MENU
var menu2=new Array()
menu2[0]='<a href="main.php?mod=commissions&req=viewcomms"><?php echo EDIT_DELETE_COMMISSIONS ?></a>'
menu2[1]='<a href="main.php?mod=commissions&req=addcomm"><?php echo ADD_NEW_COMMISSION ?></a>'
menu2[2]='<a href="main.php?mod=commissions&req=searchcomms"><?php echo SEARCH_COMMISSIONS ?></a>'
menu2[3]='<a href="main.php?mod=commissions&req=paymenthistory"><?php echo PAYMENT_HISTORY ?></a>'

//REPORTS MENU
var menu3=new Array()
menu3[0]='<a href="main.php?mod=reports">View Monthly Reports</a>'
menu3[1]='<a href="main.php?mod=reports">View Yearly Reports</a>'
menu3[2]='<a href="main.php?mod=reports">View Top Performers</a>'
menu3[3]='<a href="main.php?mod=reports">Hits and Referrers</a>'
menu3[4]='<a href="main.php?mod=reports">Custom Reports</a>'

//MARKETING MENU
var menu4=new Array()
menu4[0]='<a href="main.php?mod=marketing&req=banners&action=view">Banner Ad Manager</a>'
menu4[1]='<a href="main.php?mod=marketing&req=textlinks&action=view">Text Link Manager</a>'
menu4[2]='<a href="main.php?mod=marketing&req=textads&action=view">Text Ad Manager</a>'
menu4[3]='<a href="main.php?mod=marketing&req=hoverads&action=view">Hover Ad Manager</a>'
menu4[4]='<a href="main.php?mod=marketing&req=emailads&action=view">Email Ad Manager</a>'
//menu4[5]='<a href="main.php?mod=marketing&req=textads&action=view">View / Delete Text Ads</a>'
//menu4[6]='<a href="main.php?mod=marketing&req=hoverads&action=add">Add Hover Ads</a>'
//menu4[7]='<a href="main.php?mod=marketing&req=hoverads&action=view">View / Delete Hover Ads</a>'
//menu4[8]='<a href="main.php?mod=marketing&req=emailads&action=add">Add Email Ad</a>'
//menu4[9]='<a href="main.php?mod=marketing&req=emailads&action=view">View / Delete Email Ads</a>'

//PRODUCTS MENU
var menu5=new Array()
menu5[0]='<a href="main.php?mod=products&req=addproduct"><?php echo ADD_NEW_PRODUCT ?></a>'
menu5[1]='<a href="main.php?mod=content&req=overview"><?php echo CONTENT_PUBLISHER ?></a>'
menu5[2]='<a href="main.php?mod=downloads&req=overview"><?php echo DOWNLOADABLE_FILES ?></a>'

//SYSTEM CONFIGURATION
var menu6=new Array()
menu6[0]='<a href="main.php?mod=settings&req=admin">Admin Settings</a>'
menu6[1]='<a href="main.php?mod=settings&req=templates">Email Templates</a>'
menu6[2]='<a href="main.php?mod=settings&req=integration">System Integration</a>'
menu6[3]='<a href="main.php?mod=settings&req=export">Data Export</a>'
//menu6[4]='<a href="main.php?mod=settings&req=migration">Migration Tools</a>'
menu6[5]='<a href="main.php?mod=settings&req=events">Events Viewer</a>'
menu6[6]='<a href="main.php?mod=settings&req=license">System License</a>'

<?php

echo "var menu7=new Array()\n";
Db_Connect();
$query = mysql_query("SELECT * FROM jx_bookmarks WHERE mid = '{$_SESSION['adlogin']}' ORDER BY bkid DESC LIMIT 10");
if (mysql_num_rows($query) == 0) 
{
	echo "menu7[0]='<a href=\"#\">".NO_BOOKMARKS."</a>'";
}
else
{
	$i=1;
	echo "menu7[0]='<a href=\"main.php?mod=bookmarks&req=managebookmarks\">".MANAGE_BOOKMARKS."</a>'\n";
	while ($row = mysql_fetch_array($query)) 
	{
		
		echo "menu7[$i]='<a href=\"".$row['3']."\">".$row['2']."</a>'\n";
		$i++;
	}
}

?>

//CONFIGURATION SETTINGS
//var menu8=new Array()
//menu8[0]='<a href="main.php?mod=settings&req=sysconfig">System Settings</a>'
//menu8[1]='<a href="main.php?mod=settings&req=affsettings">Affiliate Member Settings</a>'
//menu8[2]='<a href="main.php?mod=settings&req=paymentsettings">Payment Settings</a>'
//menu8[3]='<a href="main.php?mod=settings&req=signup">Signup Form Settings</a>'
//menu8[4]='<a href="main.php?mod=settings&req=tools">Marketing Tools Settings</a>'
//menu8[5]='<a href="main.php?mod=settings&req=security">Security Settings</a>'
//menu8[6]='<a href="main.php?mod=settings&req=license">License Information</a>'

//SYSTEM INTEGRATION SETTINGS
//var menu9=new Array()
//menu9[0]='<a href="main.php?mod=affiliates&req=overview">Affiliates Overview</a>'
//menu9[1]='<a href="main.php?mod=commissions&req=overview">Commissions Overview</a>'
//menu9[2]='<a href="main.php?mod=reports&req=overview">Reports Overview</a>'
//menu9[3]='<a href="main.php?mod=marketing&req=overview">Marketing Tools</a>'

//DATA IMPORT /EXPORT
//var menu10=new Array()
//menu10[0]='<a href="main.php?mod=affiliates&req=viewaffs">Affiliates Overview</a>'
//menu10[1]='<a href="main.php?mod=commissions&req=overview">Commissions Overview</a>'
//menu10[2]='<a href="main.php?mod=reports&req=overview">Reports Overview</a>'
//menu10[3]='<a href="main.php?mod=marketing&req=overview">Marketing Tools</a>'

<?php 
if ($mod == "marketing")
{
?>
//BANNER MANAGER
var menu11=new Array()
menu11[0]='<a href="main.php?mod=marketing&req=banners&action=view">Edit/Delete Banners</a>'
menu11[1]='<a href="main.php?mod=marketing&req=banners&action=add">Add New Banners</a>'
	
//TEXT LINK MANAGER
var menu12=new Array()
menu12[0]='<a href="main.php?mod=marketing&req=textlinks&action=view">Edit/Delete Text Links</a>'
menu12[1]='<a href="main.php?mod=marketing&req=textlinks&action=add">Add New Text Links</a>'

//TEXT AD MANAGER
var menu13=new Array()
menu13[0]='<a href="main.php?mod=marketing&req=textads&action=view">Edit/Delete Text Ads</a>'
menu13[1]='<a href="main.php?mod=marketing&req=textads&action=add">Add New Text Ads</a>'

//EMAIL AD MANAGER
var menu14=new Array()
menu14[0]='<a href="main.php?mod=marketing&req=emailads&action=view">Edit/Delete Email Ads</a>'
menu14[1]='<a href="main.php?mod=marketing&req=emailads&action=add">Add New Email Ads</a>'

//HOVER AD MANAGER
var menu15=new Array()
menu15[0]='<a href="main.php?mod=marketing&req=hoverads&action=view">Edit/Delete Hover Ads</a>'
menu15[1]='<a href="main.php?mod=marketing&req=hoverads&action=add">Add New Hover Ads</a>'

<?php
}
?>

//CHANGE NUMBER OF ROWS DISPLAYED
<?php
if ($mod == "affiliates" AND $req == "viewall")
{
?> 
var menu16=new Array()
menu16[0]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=25&filter=<?php echo $filter ?>&affiliate_group=<?php echo $affiliate_group ?>&pid=<?php echo $pid ?>"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=50&filter=<?php echo $filter ?>&affiliate_group=<?php echo $affiliate_group ?>&pid=<?php echo $pid ?>"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=100&filter=<?php echo $filter ?>&affiliate_group=<?php echo $affiliate_group ?>&pid=<?php echo $pid ?>"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=200&filter=<?php echo $filter ?>&affiliate_group=<?php echo $affiliate_group ?>&pid=<?php echo $pid ?>"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php 
}
elseif ($mod == "affiliates" AND $req == "searchaffs")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=affiliates&req=searchaffs&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=25&filter=<?php echo $filter ?>&search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&action=search"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=affiliates&req=searchaffs&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=50&filter=<?php echo $filter ?>&search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&action=search"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=affiliates&req=searchaffs&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=100&filter=<?php echo $filter ?>&search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&action=search"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=affiliates&req=searchaffs&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=200&filter=<?php echo $filter ?>&search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&action=search"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "commissions" AND $req == "searchcomms" And $action == "search")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>mod=commissions&req=searchcomms&action=search&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&mod=commissions&req=searchcomms&action=search&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&mod=commissions&req=searchcomms&action=search&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?search_term=<?php echo $search_term ?>&search_criteria=<?php echo $search_criteria ?>&mod=commissions&req=searchcomms&action=search&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "commissions" AND $req == "searchcomms" And $action == "searchdate")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=commissions&req=searchcomms&search_status=<?php echo $search_status ?>&date1=<?php echo $date1 ?>&date2=<?php echo $date2 ?>&action=searchdate&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=commissions&req=searchcomms&search_status=<?php echo $search_status ?>&date1=<?php echo $date1 ?>&date2=<?php echo $date2 ?>&action=searchdate&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=commissions&req=searchcomms&search_status=<?php echo $search_status ?>&date1=<?php echo $date1 ?>&date2=<?php echo $date2 ?>&action=searchdate&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=commissions&req=searchcomms&search_status=<?php echo $search_status ?>&date1=<?php echo $date1 ?>&date2=<?php echo $date2 ?>&action=searchdate&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "settings" AND $req == "events")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=25&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=50&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=100&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=200&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "commissions" AND $req == "viewcomms")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&mid=<?php echo $mid ?>&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&mid=<?php echo $mid ?>&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&mid=<?php echo $mid ?>&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&mid=<?php echo $mid ?>&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "affiliates" AND $req == "payaffs")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=affiliates&req=payaffs&paymenttype=<?php echo $paymenttype ?>&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=affiliates&req=payaffs&paymenttype=<?php echo $paymenttype ?>&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=affiliates&req=payaffs&paymenttype=<?php echo $paymenttype ?>&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=affiliates&req=payaffs&paymenttype=<?php echo $paymenttype ?>&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "reports" AND $req == "referlogs")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=reports&req=referlogs&ref_order_by=<?php echo $ref_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=reports&req=referlogs&ref_order_by=<?php echo $ref_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=reports&req=referlogs&ref_order_by=<?php echo $ref_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=reports&req=referlogs&ref_order_by=<?php echo $ref_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "commissions" AND $req == "paymenthistory")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}
elseif ($mod == "mempayments")
{
?>
var menu16=new Array()
menu16[0]='<a href="main.php?mod=mempayments&req=overview&order_by=<?php echo $order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=25"><?php echo VIEW_25_PER_PAGE ?></a>'
menu16[1]='<a href="main.php?mod=mempayments&req=overview&order_by=<?php echo $order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=50"><?php echo VIEW_50_PER_PAGE ?></a>'
menu16[2]='<a href="main.php?mod=mempayments&req=overview&order_by=<?php echo $order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=100"><?php echo VIEW_100_PER_PAGE ?></a>'
menu16[3]='<a href="main.php?mod=mempayments&req=overview&order_by=<?php echo $order_by ?>&sort_order=<?php echo $sort_order?>&filter=<?php echo $filter ?>&max_results=200"><?php echo VIEW_200_PER_PAGE ?></a>'
<?php
}

if ($mod == "affiliates")
{
?>
//FILTER VIEW AFFILIATES PAGE
var menu17=new Array()
menu17[0]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>"><?php echo SHOW_ALL_AFFILIATES ?></a>'
menu17[1]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=active"><?php echo SHOW_ACTIVE_AFFILIATES ?></a>'
menu17[2]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=inactive"><?php echo SHOW_INACTIVE_AFFILIATES ?></a>'
menu17[3]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=new"><?php echo SHOW_AFFILIATE_SIGNUPS_THIS_MONTH ?></a>'
menu17[4]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=lastmonth"><?php echo SHOW_AFFILIATE_SIGNUPS_LAST_MONTH ?></a>'
<?php
//GET PROGRAM GROUPS
$gpg = mysql_query("SELECT pid, product_name FROM jx_products") or die(cmysql_error(__LINE__, __FILE__));
if ($gpg)
{
	if (mysql_num_rows($gpg) > 1)
	{
		$i = 5;
		while ($gpg_row = mysql_fetch_row($gpg))
		{
		?>
menu17[<?php echo $i ?>]='<a href="main.php?mod=affiliates&req=viewall&member_order_by=<?php echo $member_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=program&pid=<?php echo $gpg_row[0] ?>"><?php echo addslashes($gpg_row[1])." ".ROW_AFFILIATES ?></a>'
<?php
		$i++;
		}
	}
}

}

if (($mod == "commissions" AND $req == "viewcomms") || ($mod == "commissions" AND $req == "searchcomms"))
{
?>

//FILTER VIEW COMMISSIONS PAGE
var menu18=new Array()
menu18[0]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=pending"><?php echo SHOW_ALL_PENDING_COMMISSIONS ?></a>'
menu18[1]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=unpaid"><?php echo SHOW_ALL_UNPAID_COMMISSIONS ?></a>'
menu18[2]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=paid"><?php echo SHOW_ALL_PAID_COMMISSIONS ?></a>'
menu18[3]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=thismonth"><?php echo SHOW_COMMISSIONS_THIS_MONTH ?></a>'
menu18[4]='<a href="main.php?mod=commissions&req=viewcomms&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=lastmonth"><?php echo SHOW_COMMISSIONS_LAST_MONTH ?></a>'

<?php
}
elseif ($mod == "commissions" AND $req == "paymenthistory")
{
?>

//FILTER VIEW COMMISSIONS PAGE
var menu18=new Array()
menu18[0]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=all"><?php echo SHOW_ALL_PAYMENTS ?></a>'
menu18[1]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=check"><?php echo SHOW_ALL_PAYMENTS ?> - <?php echo ROW_CHECK ?></a>'
menu18[2]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=paypal"><?php echo SHOW_ALL_PAYMENTS ?> - <?php echo ROW_PAYPAL ?></a>'
menu18[3]='<a href="main.php?mod=commissions&req=paymenthistory&comm_order_by=<?php echo $comm_order_by ?>&sort_order=<?php echo $sort_order?>&max_results=<?php echo $max_results?>&filter=other"><?php echo SHOW_ALL_PAYMENTS ?> - <?php echo ROW_OTHER ?></a>'

<?php
}

if ($mod == "marketing")
{
?>

//MENU TO SHOW TEXT LINKS, BANNERS, ETC
var menu19=new Array()
menu19[0]='<a href="main.php?mod=marketing&req=banners&action=view">Show Banners</a>'
menu19[1]='<a href="main.php?mod=marketing&req=textlinks&action=view">Show Text Links</a>'
menu19[2]='<a href="main.php?mod=marketing&req=textads&action=view">Show Text Ads</a>'
menu19[3]='<a href="main.php?mod=marketing&req=hoverads&action=view">Show Hover Ads</a>'
menu19[4]='<a href="main.php?mod=marketing&req=emailads&action=view">Show Email Ads</a>'
menu19[5]='<a href="main.php?mod=marketing&req=articleads&action=view">Show Article Ads</a>'


//FILTER VIEW FOR TEXT LINKS PAGE
<?php
}

if ($mod == "settings" AND $req == "events")
{
?>

//FILTER VIEW EVENTS DATE 
var menu21=new Array()
menu21[0]='<a href="main.php?mod=settings&req=events">Show All Events</a>'
menu21[1]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=1d&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo SHOW_1_DAY ?></a>'
menu21[2]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=1w&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo SHOW_1_WEEK ?></a>'
menu21[3]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=1m&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo SHOW_1_MONTH ?></a>'
menu21[4]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=2m&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo SHOW_2_MONTHS ?></a>'
menu21[5]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=3m&type=<?php echo $type ?>&priority=<?php echo $priority ?>"><?php echo ROW_SHOW_3_MONTHS ?></a>'

//FILTER VIEW EVENT TYPES DATABASE	
var menu22=new Array()
menu22[0]='<a href="main.php?mod=settings&req=events"><?php echo SHOW_ALL_EVENTS ?></a>'
menu22[1]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=security&priority=<?php echo $priority ?>"><?php echo SHOW_SECURITY_EVENTS ?></a>'
menu22[2]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=affiliate&priority=<?php echo $priority ?>"><?php echo SHOW_AFFILIATE_EVENTS ?></a>'
menu22[3]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=commission&priority=<?php echo $priority ?>"><?php echo SHOW_COMMISSION_EVENTS ?></a>'
menu22[4]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=system&priority=<?php echo $priority ?>"><?php echo SHOW_SYSTEM_EVENTS ?></a>'
menu22[5]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=admin&priority=<?php echo $priority ?>"><?php echo SHOW_ADMIN_EVENTS ?></a>'

//FILTER VIEW EVENTS PRIORITY DATABASE	
var menu23=new Array()
menu23[0]='<a href="main.php?mod=settings&req=events">Show All Events</a>'
menu23[1]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=3"><?php echo SHOW_HIGH_PRIORITY_EVENTS ?></a>'
menu23[2]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=2"><?php echo SHOW_WARNING_PRIORITY_EVENTS ?></a>'
menu23[3]='<a href="main.php?mod=settings&req=events&event_order_by=<?php echo $event_order_by ?>&sort_order=<?php echo $sort_order ?>&max_results=<?php echo $max_results ?>&page=<?php echo $page ?>&date=<?php echo $date ?>&type=<?php echo $type ?>&priority=1"><?php echo SHOW_INFORMATION_PRIORITY_EVENTS ?></a>'

<?php
}
?>

var menuwidth='220px' //default menu width
var menubgcolor='<?php echo TABLE_ROW_COLOR_7 ?>'  //menu bgcolor
var disappeardelay=250  //menu disappear speed onMouseout (in miliseconds)
var hidemenu_onclick="yes" //hide menu when user clicks within menu?

/////No further editting needed

var ie4=document.all
var ns6=document.getElementById&&!document.all

if (ie4||ns6)
document.write('<div id="dropmenudiv" style="visibility:hidden;width:'+menuwidth+';background-color:'+menubgcolor+'" onMouseover="clearhidemenu()" onMouseout="dynamichide(event)"></div>')

function getposOffset(what, offsettype){
var totaloffset=(offsettype=="left")? what.offsetLeft : what.offsetTop;
var parentEl=what.offsetParent;
while (parentEl!=null){
totaloffset=(offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;
parentEl=parentEl.offsetParent;
}
return totaloffset;
}


function showhide(obj, e, visible, hidden, menuwidth){
if (ie4||ns6)
dropmenuobj.style.left=dropmenuobj.style.top="-500px"
if (menuwidth!=""){
dropmenuobj.widthobj=dropmenuobj.style
dropmenuobj.widthobj.width=menuwidth
}
if (e.type=="click" && obj.visibility==hidden || e.type=="mouseover")
obj.visibility=visible
else if (e.type=="click")
obj.visibility=hidden
}

function iecompattest(){
return (document.compatMode && document.compatMode!="BackCompat")? document.documentElement : document.body
}

function clearbrowseredge(obj, whichedge){
var edgeoffset=0
if (whichedge=="rightedge"){
var windowedge=ie4 && !window.opera? iecompattest().scrollLeft+iecompattest().clientWidth-15 : window.pageXOffset+window.innerWidth-15
dropmenuobj.contentmeasure=dropmenuobj.offsetWidth
if (windowedge-dropmenuobj.x < dropmenuobj.contentmeasure)
edgeoffset=dropmenuobj.contentmeasure-obj.offsetWidth
}
else{
var topedge=ie4 && !window.opera? iecompattest().scrollTop : window.pageYOffset
var windowedge=ie4 && !window.opera? iecompattest().scrollTop+iecompattest().clientHeight-15 : window.pageYOffset+window.innerHeight-18
dropmenuobj.contentmeasure=dropmenuobj.offsetHeight
if (windowedge-dropmenuobj.y < dropmenuobj.contentmeasure){ //move up?
edgeoffset=dropmenuobj.contentmeasure+obj.offsetHeight
if ((dropmenuobj.y-topedge)<dropmenuobj.contentmeasure) //up no good either?
edgeoffset=dropmenuobj.y+obj.offsetHeight-topedge
}
}
return edgeoffset
}

function populatemenu(what){
if (ie4||ns6)
dropmenuobj.innerHTML=what.join("")
}


function dropdownmenu(obj, e, menucontents, menuwidth){
if (window.event) event.cancelBubble=true
else if (e.stopPropagation) e.stopPropagation()
clearhidemenu()
dropmenuobj=document.getElementById? document.getElementById("dropmenudiv") : dropmenudiv
populatemenu(menucontents)

if (ie4||ns6){
showhide(dropmenuobj.style, e, "visible", "hidden", menuwidth)

dropmenuobj.x=getposOffset(obj, "left")
dropmenuobj.y=getposOffset(obj, "top")
dropmenuobj.style.left=dropmenuobj.x-clearbrowseredge(obj, "rightedge")+"px"
dropmenuobj.style.top=dropmenuobj.y-clearbrowseredge(obj, "bottomedge")+obj.offsetHeight+"px"
}

return clickreturnvalue()
}

function clickreturnvalue(){
if (ie4||ns6) return false
else return true
}

function contains_ns6(a, b) {
while (b.parentNode)
if ((b = b.parentNode) == a)
return true;
return false;
}

function dynamichide(e){
if (ie4&&!dropmenuobj.contains(e.toElement))
delayhidemenu()
else if (ns6&&e.currentTarget!= e.relatedTarget&& !contains_ns6(e.currentTarget, e.relatedTarget))
delayhidemenu()
}

function hidemenu(e){
if (typeof dropmenuobj!="undefined"){
if (ie4||ns6)
dropmenuobj.style.visibility="hidden"
}
}

function delayhidemenu(){
if (ie4||ns6)
delayhide=setTimeout("hidemenu()",disappeardelay)
}

function clearhidemenu(){
if (typeof delayhide!="undefined")
clearTimeout(delayhide)
}

if (hidemenu_onclick=="yes")
document.onclick=hidemenu
</script>
<?php
}

function Show_Color_Picker()
{
	global $mod, $req;
	
	if (($mod == "settings" AND $req == "sysconfig") || ($mod == "settings" AND $req == "tools"))
	{
	?>	
<script language="JavaScript" type="text/javascript" src="../includes/js/PopupWindow.js"></script>
<script language="JavaScript" type="text/javascript" src="../includes/js/AnchorPosition.js"></script>
<script language="JavaScript" type="text/javascript" src="../includes/js/ColorPicker2.js"></script>
<SCRIPT LANGUAGE="JavaScript">
	var cp = new ColorPicker('window'); // Popup window
</SCRIPT>
	<?php
	}
}

function Show_Calendar()
{
	global $mod, $req;
	
	if (($mod == "commissions") || ($mod == "affiliates") || ($mod == "downloads") || ($mod == "settings" AND $req == "export"))
	{
	?>
<SCRIPT LANGUAGE="JavaScript" SRC="../includes/js/CalendarPopup.js"></SCRIPT>
<script language="JavaScript" type="text/javascript" src="../includes/js/PopupWindow.js"></script>
<script language="JavaScript" type="text/javascript" src="../includes/js/AnchorPosition.js"></script>
<script language="JavaScript" type="text/javascript" src="../includes/js/date.js"></script>
<SCRIPT LANGUAGE="JavaScript">
var cal = new CalendarPopup();
</SCRIPT>
	<?php
	}
}

function Show_Delete_Aff()
{
global $mod, $mid, $first_name, $last_name;

 	if ($mod == "affiliates")
 	{
?>
<script language="JavaScript" type="text/javascript">
function ConfirmDelete(mid1){
	var answer=confirm("<?php echo CONFIRM_AFFILIATE_DELETION ?>")
	if(answer) {
		window.location="main.php?mod=affiliates&req=deleteaff&mid="+mid1;
	} 
}

</script>
<?php
	}
}

function Show_Copy_Tag()
{
	global $mod, $req;

	if ($req == "emailaff" || $req == "emailall" || $req == "edittemplate" || $req == "templates" || $req == "followups")
	{
?>
<script language="JavaScript" type="text/javascript">
function CopyTag(select)
{
	var index;
  for(index=0; index<select.options.length; index++)
    if(select.options[index].selected)
      {
        if(select.options[index].value!="")
         document.form1.textContent.value=document.form1.textContent.value+select.options[index].value;
        break;
      }
}
</script>
<?php
	}
	
	if (($mod == "settings" AND $req == "integration") || ($mod == "settings" AND $req == "paymentsettings"))
	{
?>
<SCRIPT LANGUAGE="JavaScript">
function CopyField(id) {
	var text1=eval("document."+id)
	text1.focus()
	text1.select()
	therange=text1.createTextRange()
	therange.execCommand("Copy")
}

</script>
<?php
	}
}

function Show_Popup_Errors_Div()
{
	global $show_errors;
	
	if (strlen($show_errors) > 0)
	{
?>
<div id="hideShow">
<div style="background-color:#FFFFFF; border: 3px solid #FF0000;">
<div style="float:right; padding: 5px; background:#000000;"><a href="javascript:hidediv()" style="color:#FFFFFF; font-weight:bold;">X</a></div>
<div style="padding: 5px; background-color:#FF0000; color:#FFFFFF; font-weight:bold;"><?php echo FORM_ERRORS ?></div>
<div style="margin: 10px;">
<p align="center" class="red_font_1"><?php YOU_HAVE_ERRORS_IN_YOUR_FORM ?> <br /><?php echo PLEASE_FIX_THE_FOLLOWING ?></p>
<p class="small_11px"> <?php echo $show_errors ?></p>
<p align="center"><a href="javascript:hidediv()" class="small_11px"><strong><?php echo CLOSE_WINDOW ?></strong></a></p>
</div>
</div>
</div>
<?php
	}
}

function Show_Popup_Errors_Js()
{

	global $show_errors;

	if (strlen($show_errors) > 0)
	{
?>
<script language=javascript type='text/javascript'>
function hidediv() {
if (document.getElementById) { // DOM3 = IE5, NS6
document.getElementById('hideShow').style.visibility = 'hidden';
}
else {
if (document.layers) { // Netscape 4
document.hideShow.visibility = 'hidden';
}
else { // IE 4
document.all.hideShow.style.visibility = 'hidden';
}
}
}

function showdiv() {
if (document.getElementById) { // DOM3 = IE5, NS6
document.getElementById('hideShow').style.visibility = 'visible';
}
else {
if (document.layers) { // Netscape 4
document.hideShow.visibility = 'visible';
}
else { // IE 4
document.all.hideShow.style.visibility = 'visible';
}
}
}
</script> 
		<?php
	}
}

function Validate_Aff_Form() 
{
	global $mod, $req, $action, $html,$enable_custom_1, $enable_custom_2, $enable_custom_3, $enable_custom_4, $enable_custom_5, $require_paypal_email, 
	       $enable_custom_html, $custom_field_1, $custom_field_2, $custom_field_3, $custom_field_4, $custom_field_5, $custom_html, $require_phone,
		   $enable_paypal_payment, $enable_check_payment, $enable_other_payment, $other_payment_value, $require_tax_id, $require_website_url,
		   $require_company, $require_address_1, $require_address_2, $require_city, $require_state, $require_country, $require_zip, 
		   $require_fax, $require_check_name, $require_username, $require_password, $require_tos, $commission_levels;
		   
 	if ($mod == "affiliates" AND $req == "addaff")
 	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {
	
	if (document.form1.date.value.length <= 0) {
		document.getElementById("divdate").style.display="inline";
		document.form1.date.focus();
		var error = true;
	}

	if (document.form1.first_name.value.length <= 1) {
		document.getElementById("divfname").style.display="inline";
		document.form1.first_name.focus();
		var error = true;
	}

	if (document.form1.last_name.value.length <= 1) {
		document.getElementById("divlname").style.display="inline";
		document.form1.last_name.focus();
		var error = true;
	}
<?php
if ($require_address_1 == 2)
{
?>
	if (document.form1.address_1.value.length <= 1) {
		document.getElementById("divaddr1").style.display="inline";
		document.form1.address_1.focus();
		var error = true;
	}
<?php
}
if ($require_city == 2)
{
?>	
	if (document.form1.city.value.length <= 1) {
		document.getElementById("divcity").style.display="inline";
		document.form1.city.focus();
		var error = true;
	}
<?php
}
if ($require_state == 2)
{
?>	
	if (document.form1.state.value.length <= 1) {
		document.getElementById("divstate").style.display="inline";
		document.form1.state.focus();
		var error = true;
	}
<?php
}
if ($require_zip == 2)
{
?>	
	if (document.form1.zip.value.length <= 1) {
		document.getElementById("divzip").style.display="inline";
		document.form1.zip.focus();
		var error = true;
	}
<?php
}
if ($require_phone == 2)
{
?>	
	if (document.form1.phone.value.length <= 1) {
		document.getElementById("divphone").style.display="inline";
		document.form1.phone.focus();
		var error = true;
	}
<?php
}
?>
	if (document.form1.username.value.length <= 1) {
		document.getElementById("divuname").style.display="inline";
		document.form1.username.focus();
		var error = true;
	}
	
	if (document.form1.primary_email.value.length <= 1) {
		document.getElementById("divemail").style.display="inline";
		document.form1.primary_email.focus();
		var error = true;
	}
	
	if (document.form1.password.value.length <= 1) {
		document.getElementById("divpw").style.display="inline";
		document.form1.password.focus();
		var error = true;
	}
	
	if (document.form1.confirm_password.value.length <= 1) {
		document.getElementById("divcpw").style.display="inline";
		document.form1.confirm_password.focus();
		var error = true;
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
	elseif ($mod == "affiliates" AND $req == "editaff")
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.first_name.value.length <= 1) {
		document.getElementById("divfname").style.display="inline";
		document.form1.first_name.focus();
		var error = true;
	}

	if (document.form1.last_name.value.length <= 1) {
		document.getElementById("divlname").style.display="inline";
		document.form1.last_name.focus();
		var error = true;
	}
<?php
if ($require_address_1 == 2)
{
?>
	if (document.form1.address_1.value.length <= 1) {
		document.getElementById("divaddr1").style.display="inline";
		document.form1.address_1.focus();
		var error = true;
	}	
<?php
}
if ($require_city == 2)
{
?>	
	if (document.form1.city.value.length <= 1) {
		document.getElementById("divcity").style.display="inline";
		document.form1.city.focus();
		var error = true;
	}
<?php
}
if ($require_state == 2)
{
?>	
	if (document.form1.state.value.length <= 1) {
		document.getElementById("divstate").style.display="inline";
		document.form1.state.focus();
		var error = true;
	}
<?php
}
if ($require_zip == 2)
{
?>	
	if (document.form1.zip.value.length <= 1) {
		document.getElementById("divzip").style.display="inline";
		document.form1.zip.focus();
		var error = true;
	}
<?php
}
if ($require_phone == 2)
{
?>	
	if (document.form1.phone.value.length <= 1) {
		document.getElementById("divphone").style.display="inline";
		document.form1.phone.focus();
		var error = true;
	}
<?php
}
?>
	if (document.form1.username.value.length <= 1) {
		document.getElementById("divuname").style.display="inline";
		document.form1.username.focus();
		var error = true;
	}
	
	if (document.form1.primary_email.value.length <= 1) {
		document.getElementById("divemail").style.display="inline";
		document.form1.primary_email.focus();
		var error = true;
	}
	
	if (document.form1.reset_password.checked) {
		if (document.form1.password.value.length <= 1) {
			document.getElementById("divpw").style.display="inline";
			document.form1.password.focus();
			var error = true;
		}
		
		if (document.form1.confirm_password.value.length <= 1) {
			document.getElementById("divcpw").style.display="inline";
			document.form1.confirm_password.focus();
			var error = true;
		}
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
	elseif (($mod == "affiliates" AND $req == "searchaffs") || ($mod == "affiliates" AND $req == "searchone") || ($mod == "commissions" AND $req == "searchcomms"))
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.search_term.value.length < 2) {
		document.getElementById("divsearch").style.display="inline";
		document.form1.search_term.focus();
		return false;
	}

}
</script>
<?php
	}
	elseif ($mod == "settings" AND $req == "admin" AND $action == "add")
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.username.value.length < 7) {
		document.getElementById("divusername").style.display="inline";
		document.form1.username.focus();
		var error = true;
	}

	if (document.form1.primary_email.value.length <= 5) {
		document.getElementById("divprimaryemail").style.display="inline";
		document.form1.primary_email.focus();
		var error = true;
	}

		if (document.form1.email_name.value.length <= 3) {
		document.getElementById("divemailname").style.display="inline";
		document.form1.email_name.focus();
		var error = true;
	}
	
	if (document.form1.password.value.length < 7) {
		document.getElementById("divpassword").style.display="inline";
		document.form1.password.focus();
		var error = true;
	}
	
	else if (document.form1.confirm_password.value.length < 7) {
		document.getElementById("divcpassword").style.display="inline";
		document.form1.confirm_password.focus();
		var error = true;
	}
	
	else if (document.form1.password.value != document.form1.confirm_password.value) {
		document.getElementById("divnomatch").style.display="block";
		document.form1.confirm_password.focus();
		var error = true;
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
	elseif ($mod == "settings" AND $req == "admin" AND $action == "edit")
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.username.value.length < 7) {
		document.getElementById("divusername").style.display="inline";
		document.form1.username.focus();
		var error = true;
	}

	if (document.form1.primary_email.value.length <= 3) {
		document.getElementById("divprimaryemail").style.display="inline";
		document.form1.primary_email.focus();
		var error = true;
	}
	
	if (document.form1.email_name.value.length <= 2) {
		document.getElementById("divemailname").style.display="inline";
		document.form1.email_name.focus();
		var error = true;
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}

function CheckPass() {
	if (document.form2.password.value.length < 7) {
		document.getElementById("divpassword").style.display="inline";
		document.form2.password.focus();
		var error = true;
	}
	
	else if (document.form2.confirm_password.value.length < 7) {
		document.getElementById("divcpassword").style.display="inline";
		document.form2.confirm_password.focus();
		var error = true;
	}
	
	else if (document.form2.password.value != document.form2.confirm_password.value) {
		document.getElementById("divnomatch").style.display="block";
		document.form2.confirm_password.focus();
		var error = true;
	}
	
	else if (document.form2.old_password.value.length < 7) {
		document.getElementById("divoldpassword").style.display="inline";
		document.form2.old_password.focus();
		var error = true;
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
	elseif ($mod == "settings" AND $req == "sysconfig")
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.site_name.value.length < 3) {
		document.getElementById("divsitename").style.display="inline";
		document.form1.site_name.focus();
		var error = true;
	}

	if (document.form1.site_description.value.length < 3) {
		document.getElementById("divsitedescription").style.display="inline";
		document.form1.site_description.focus();
		var error = true;
	}
	
	if (document.form1.default_redirect_url.value.length < 3) {
		document.getElementById("divredirurl").style.display="inline";
		document.form1.default_redirect_url.focus();
		var error = true;
	}
	
	if (document.form1.system_email.value.length < 5) {
		document.getElementById("divsystememail").style.display="inline";
		document.form1.system_email.focus();
		var error = true;
	}
	
	if (document.form1.cookie_date_value.value.length < 1) {
		document.getElementById("divcookievalue").style.display="inline";
		document.form1.cookie_date_value.focus();
		var error = true;
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
	elseif ($mod == "settings" AND $req == "templates")
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.from_name.value.length < 3) {
		document.getElementById("divfromname").style.display="inline";
		document.form1.from_name.focus();
		var error = true;
	}

	if (document.form1.from_email.value.length < 3) {
		document.getElementById("divfromemail").style.display="inline";
		document.form1.from_email.focus();
		var error = true;
	}
	
	if (document.form1.email_subject.value.length < 3) {
		document.getElementById("divsubject").style.display="inline";
		document.form1.email_subject.focus();
		var error = true;
	}
<?php
	if ($html == 1 || $html == 2)
	{
?>
	if (document.form1.txtContent.value.length < 5) {
		document.getElementById("divmessage").style.display="inline";
		document.form1.txtContent.focus();
		var error = true;
	}

<?php 
	}
	if ($html == 0 || $html == 2)
	{
?>	
	if (document.form1.textContent.value.length < 1) {
		document.getElementById("divmessage").style.display="inline";
		document.form1.textContent.focus();
		var error = true;
	}

<?php
	}
?>
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php	
	}
	elseif (($mod == "commissions" AND $req == "addcomm") ||  ($mod == "commissions" AND $req == "editcomm"))
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {

	if (document.form1.select_pid.selectedIndex=="") {
		document.getElementById("divpid").style.display="inline";
		document.form1.select_pid.focus();
		var error = true;
	}
	
	if (document.form1.trans_id.value.length < 1) {
		document.getElementById("divtransid").style.display="inline";
		document.form1.trans_id.focus();
		var error = true;
	}
	
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
}

function Validate_Signup_Form()
{
	global $req, $show_sponsor, $show_payment, $enable_custom_1, $enable_custom_2, $enable_custom_3, $enable_custom_4, $enable_custom_5, $require_sponsor,
	       $enable_custom_html, $custom_field_1, $custom_field_2, $custom_field_3, $custom_field_4, $custom_field_5, $custom_html, $require_paypal_email,
		   $enable_paypal_payment, $enable_check_payment, $enable_other_payment, $other_payment_value, $require_tax_id, $require_website_url,
		   $require_company, $require_address_1, $require_address_2, $require_city, $require_state, $require_country, $require_zip, $require_phone,
		   $require_fax, $require_check_name, $require_username, $require_password, $require_tos, $require_stormpay_email, $require_safepay_email,
		   $require_moneybookers_email, $require_alertpay_email, $require_egold_id, $require_bank_transfer, $signup_form_type;
		   
	if ($req == "newaccount")
	{
?>
<script language="JavaScript" type="text/javascript">
function CheckData() {
<?php
if ($signup_form_type == 'aweber')
{
?>
	if (document.form1.name.value.length <= 1) {
		document.getElementById("divfname").style.display="inline";
		document.form1.name.focus();
		var error = true;
	}

<?php
}
else
{
?>
	if (document.form1.F_First_Name.value.length <= 1) {
		document.getElementById("divfname").style.display="inline";
		document.form1.F_First_Name.focus();
		var error = true;
	}

<?php
}
?>
	if (document.form1.F_Last_Name.value.length <= 1) {
		document.getElementById("divlname").style.display="inline";
		document.form1.F_Last_Name.focus();
		var error = true;
	}
<?php

if ($require_company == 2)
{
?>
	if (document.form1.F_Company_Name.value.length <= 1) {
		document.getElementById("divcmp").style.display="inline";
		document.form1.F_Company_Name.focus();
		var error = true;
	}
<?php
}
if ($require_address_1 == 2)
{
?>
	if (document.form1.F_Address_1.value.length <= 1) {
		document.getElementById("divaddr1").style.display="inline";
		document.form1.F_Address_1.focus();
		var error = true;
	}
<?php
}
if ($require_address_2 == 2)
{
?>
	if (document.form1.F_Address_2.value.length <= 1) {
		document.getElementById("divaddr2").style.display="inline";
		document.form1.F_Address_2.focus();
		var error = true;
	}
<?php
}
if ($require_city == 2)
{
?>	
	if (document.form1.F_City.value.length <= 1) {
		document.getElementById("divcity").style.display="inline";
		document.form1.F_City.focus();
		var error = true;
	}
<?php
}
if ($require_state == 2)
{
?>	
	if (document.form1.F_State.value.length <= 1) {
		document.getElementById("divstate").style.display="inline";
		document.form1.F_State.focus();
		var error = true;
	}
<?php
}
if ($require_zip == 2)
{
?>	
	if (document.form1.F_Zip.value.length <= 1) {
		document.getElementById("divzip").style.display="inline";
		document.form1.F_Zip.focus();
		var error = true;
	}
<?php
}
if ($require_phone == 2)
{
?>	
	if (document.form1.F_Phone.value.length <= 1) {
		document.getElementById("divphone").style.display="inline";
		document.form1.F_Phone.focus();
		var error = true;
	}
<?php
}
if ($require_fax == 2)
{
?>
	if (document.form1.F_Fax.value.length <= 1) {
		document.getElementById("divfax").style.display="inline";
		document.form1.F_Fax.focus();
		var error = true;
	}
<?php
}
if ($require_check_name == 2)
{
?>
	if (document.form1.F_Check_Name.value.length <= 1) {
		document.getElementById("divcheckname").style.display="inline";
		document.form1.F_Check_Name.focus();
		var error = true;
	}
<?php
}
if ($require_tax_id == 2)
{
?>
	if (document.form1.F_Tax_ID.value.length <= 1) {
		document.getElementById("divtax").style.display="inline";
		document.form1.F_Tax_ID.focus();
		var error = true;
	}
<?php
}
if ($require_username == 2)
{
?>
	if (document.form1.F_User_Name.value.length <= 1) {
		document.getElementById("divuname").style.display="inline";
		document.form1.F_User_Name.focus();
		var error = true;
	}
<?php
}

if ($signup_form_type == 'aweber')
{
?>	
	if (document.form1.from.value.indexOf('@', 0) == -1) {
		document.getElementById("divemail").style.display="inline";
		document.form1.from.focus();
		var error = true;
	}
<?php
}
else
{
?>	
	if (document.form1.F_Primary_Email.value.indexOf('@', 0) == -1) {
		document.getElementById("divemail").style.display="inline";
		document.form1.F_Primary_Email.focus();
		var error = true;
	}
<?php
}

if ($require_password == 2)
{
?>	
	if (document.form1.F_Password.value.length <= 1) {
		document.getElementById("divpw").style.display="inline";
		document.form1.F_Password.focus();
		var error = true;
	}
	
	if (document.form1.F_Password_2.value.length <= 1) {
		document.getElementById("divcpw").style.display="inline";
		document.form1.F_Password_2.focus();
		var error = true;
	}
<?php
}
if ($require_website_url == 2)
{
?>
	if (document.form1.F_Web_Site.value.length <= 1) {
		document.getElementById("divweb").style.display="inline";
		document.form1.F_Web_Site.focus();
		var error = true;
	}
<?php
}
if ($require_paypal_email == 2)
{
?>
	if (document.form1.F_Paypal_Email.value.length <= 1) {
		document.getElementById("divpaypal").style.display="inline";
		document.form1.F_Paypal_Email.focus();
		var error = true;
	}
<?php
}
if ($require_stormpay_email == 2)
{
?>
	if (document.form1.F_Stormpay_Email.value.length <= 1) {
		document.getElementById("divstormpay").style.display="inline";
		document.form1.F_Stormpay_Email.focus();
		var error = true;
	}
<?php
}
if ($require_safepay_email == 2)
{
?>
	if (document.form1.F_Safepay_Email.value.length <= 1) {
		document.getElementById("divsafepay").style.display="inline";
		document.form1.F_Safepay_Email.focus();
		var error = true;
	}
<?php
}
if ($require_moneybookers_email == 2)
{
?>
	if (document.form1.F_Moneybookers_Email.value.length <= 1) {
		document.getElementById("divmoneybookers").style.display="inline";
		document.form1.F_Moneybookers_Email.focus();
		var error = true;
	}
<?php
}
if ($require_alertpay_email == 2)
{
?>
	if (document.form1.F_Alertpay_Email.value.length <= 1) {
		document.getElementById("divalertpay").style.display="inline";
		document.form1.F_Alertpay_Email.focus();
		var error = true;
	}
<?php
}
if ($require_egold_id == 2)
{
?>
	if (document.form1.F_Egold_Id.value.length <= 1) {
		document.getElementById("divegold").style.display="inline";
		document.form1.F_Egold_Id.focus();
		var error = true;
	}
<?php
}
if ($require_bank_transfer == 2)
{
?>
	if (document.form1.F_Bank_Transfer.value.length <= 1) {
		document.getElementById("divbanktransfer").style.display="inline";
		document.form1.F_Bank_Transfer.focus();
		var error = true;
	}
<?php
}
if ($enable_custom_1 == 2)
{
?>
	if (document.form1.F_Custom_Value_1.value.length <= 1) {
		document.getElementById("divcf1").style.display="inline";
		document.form1.F_Custom_Value_1.focus();
		var error = true;
	}
<?php
}
if ($enable_custom_2 == 2)
{
?>
	if (document.form1.F_Custom_Value_2.value.length <= 1) {
		document.getElementById("divcf2").style.display="inline";
		document.form1.F_Custom_Value_2.focus();
		var error = true;
	}
<?php
}
if ($enable_custom_3 == 2)
{
?>
	if (document.form1.F_Custom_Value_3.value.length <= 1) {
		document.getElementById("divcf3").style.display="inline";
		document.form1.F_Custom_Value_3.focus();
		var error = true;
	}
<?php
}
if ($enable_custom_4 == 2)
{
?>
	if (document.form1.F_Custom_Value_4.value.length <= 1) {
		document.getElementById("divcf4").style.display="inline";
		document.form1.F_Custom_Value_4.focus();
		var error = true;
	}
<?php
}
if ($enable_custom_5 == 2)
{
?>
	if (document.form1.F_Custom_Value_5.value.length <= 1) {
		document.getElementById("divcf5").style.display="inline";
		document.form1.F_Custom_Value_5.focus();
		var error = true;
	}
<?php
}
?>
	if (error == true) {
		return false;
	} else {
		return true;
	}
}
</script>
<?php
	}
}
?>