<?php
#####################################################################################
## JROX.COM Affiliate Manager - sessions.php file
## Version 1.6.2
##
## Author: 			Ryan Roxas(ryan@jrox.com)
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE
## Copyright 2006 JROX Technologies, Inc.  All Rights Reserved.
##
## This script may be only used and modified in accordance to the license
## agreement attached (license.txt) except where expressly noted within
## commented areas of the code body. This copyright notice and the
## comments above and below must remain intact at all times.  By using this
## code you agree to indemnify JROX Technologies, Inc, its corporate agents
## and affiliates from any liability that might arise from its use.
##
## Selling the code for this program without prior written consent is
## expressly forbidden and in violation of Domestic and International
## copyright laws.
#######################################################################################

if (!defined('JROX'))
	die('Error');

#######################################################################################
## THIS FILE IS USED TO CONTROL THE SESSION HANDLING FUNCTIONS OF JAM
#######################################################################################

if (!empty($jam_ext_sessions))
{
	if ($session_tracking == 0)
	{
		@session_set_save_handler('Sess_Open',
								 'Sess_Close',
								 'Sess_Read',
								 'Sess_Write',
								 'Sess_Destroy',
								 'Sess_Clean');
	}
}
else
{
	@session_set_save_handler('Sess_Open',
							 'Sess_Close',
							 'Sess_Read',
							 'Sess_Write',
							 'Sess_Destroy',
							 'Sess_Clean');
}

session_start();
//session_regenerate_id();
header("Cache-control: private"); // Fix for IE
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma: no-cache');
?>