<?php
#####################################################################################
## JROX.COM Affiliate Manager - plugin_stormpay_payments.php file
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

#################################################################
## This file is used to process Stormpay-based Commissions ##
#################################################################

error_reporting(0);

##############################
## ENABLE STORMPAY SECURITY ##
##############################

//------------------------------------------------------//
// If you want to do a check with the Stormpay Secret   //
// Word, enter your secret word here and set it to "1"  //
//------------------------------------------------------//

$enable_stormpay_secret = 0; //SET TO 1 (ONE) TO ENABLE
$stormpay_secret = "your_stormpay_secret_code"; //ENTER YOUR STORMPAY SECRET CODE

####################################
## ENABLE AUTOMATIC REFUND MODULE ##
####################################

//-----------------------------------------------------//
// ENABLE SECRET VARIABLE FOR AUTOMATIC REFUND MODULE  //
//-----------------------------------------------------//
// If you want to enable the Automatic Refund Module,  //
// just uncomment and change the secret variable below //
//-----------------------------------------------------//

//$secret = "secret";

########################
## FOR DEBUGGING ONLY ##
########################

$stormpay_status = "SUCCESS"; //SET TO "TEST" IF YOU WANT TO TEST PAYMENTS

//IF YOU WANT TO TEST THE STORMPAY IPN AND HAVE IT SEND YOU THE TRANSACTION DETAILS VIA EMAIL
/*
if (isset($_POST))
{
	$m = '';
	foreach ($_POST as $key=>$value)
	{
		$m .= "$key=$value\n";
	}
	
	$to      = 'you@yourdomain.com';
	$subject = 'STORMPAY IPN TEST ONLY';
	$message = $m;
	$headers = 'From: testipn@stormpay.com' . "\r\n" .
	   'Reply-To: testipn@stormpay.com' . "\r\n" .
	   'X-Mailer: PHP/' . phpversion();
	
	mail($to, $subject, $message, $headers);
}
*/

#############################################################
## ASSIGN STORMPAY VARIABLES TO LOCAL VARIABLES
#############################################################

//CHECK IF STORMPAY SECURITY IS ON
if ($enable_stormpay_secret == 1)
{
	if ($stormpay_secret != $_POST['secret_code'])
	{
		exit();
	}
}


if (isset($_POST) AND count($_POST) > 1) 
{
	if (isset($_POST['amount']) AND isset($_POST['transaction_id']))
	{
		if (is_numeric($_POST['amount']))
		{
			$amount = $_POST['amount'];
			$trans_id = $_POST['transaction_id'];
			
			//CHANGE EXTRA VARIABLES HERE
			$sale_var_1_value = $_POST['payer_email'];
			$sale_var_2_value = $_POST['status'];
			$sale_var_3_value = $_POST['amount'];
			$sale_var_4_value = $_POST['product_name'];
			//$sale_var_5_value = $_POST['initial_charge'];
			
			$custom_mid = $_POST['user1'];
			
			//CHECK IF RECURRING PAYMENT IS SET
			if (isset($_POST['subscription']) AND $_POST['subscription'] == 'YES')
			{
				$jam_subscription = true;
			}
			
			############################
			## PROCESS THE COMMISSION ##
			############################
			if (isset($_POST['status']))
			{
				if ($_POST['status'] == $stormpay_status)
				{
					require "../../../sale.php";
				}
				elseif ($_POST['status'] == 'REFUND')
				{
					$transaction_id = $_POST['transaction_ref'];
					require "../../../refund.php";
				}
			}
		}	
	}
}
else
{	
	##################
	## REDIRECT URL ##
	##################
	
	require '../../../includes/common.php';
	
	if (!empty($_COOKIE['jrox']))
	{
	
		//GET COOKIE VARIABLES
		$cookie = explode('###', urldecode($_COOKIE['jrox']));
		if (count($cookie) > 0)
		{
			$mid = $cookie[0];
			$cookie_pid = $cookie[1];
			
			if (!empty($cookie[2]))
			{
				$tool = $cookie[2];
			}
			
			if (!empty($cookie[3]))
			{
				$tool_id = $cookie[3];
			}
			
			if (!empty($cookie[5]))
			{	
				$tracker = $cookie[4];
				$referrer = $cookie[5];
			}
			elseif (!empty($sess1[4]))
			{
				$referrer = $sess1[4];
			}
		}
	}
	
	#############################################################################################
	## CHECK IF THERE IS A PRODUCT ID MANUALLY SET FIRST, ELSE USE THE COOKIE PRODUCT VARIABLE ##
	#############################################################################################
	
	if (isset($product_id))
	{
		$pid = $product_id;
	}
	elseif (isset($cookie_pid))
	{
		if (is_numeric($cookie_pid))
		{
			$pid = $cookie_pid;
		}
		else
		{
			$pid = 1;
		}
	}
	else
	{
		$pid = 1;
	}
	
	###########################
	## GET PRODUCT ID VALUES ##
	###########################
	
	Db_Connect();
	
	$pquery = @mysql_query("SELECT url_after_sale FROM jx_products WHERE pid = '$pid'");
	if ($pquery)
	{
		$url_after_sale = mysql_result($pquery,0);
	}
	
	header("Location: $url_after_sale");
}

?>

