<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

//FORM VALUES	
$form_width = '390';
$form_height = '350';

#######################
## CONFIGURATION MAP ##
#######################

// $status
// $description
// $default_payment
// $account_number = $config_1
// $test_mode = $config_2

#######################
## PROCESSING CONFIG ##
#######################

if (!empty($processing))
{
	//set to true if you want to have JAM generate a commission
	$process_affiliate = true; 
	
	//check the secret key
	if (!empty($config_2))
	{
		if (!empty($_POST['sid']) AND !empty($_POST['order_number']) AND !empty($_POST['total']))
		{
			if (!empty($_POST['demo']) AND $_POST['demo'] == 'Y')
			{
				$key_compare = strtoupper(md5 ($config_2.$_POST['sid'].'1'.$_POST['total']));
			}
			else
			{
				$key_compare = strtoupper(md5 ($config_2.$_POST['sid'].$_POST['order_number'].$_POST['total']));
			}
			
			if ($key_compare == $_POST['key'])
			{
				$process_affiliate_payment = true;
				
				//set the $amount variable to equal the amount variable sent by processor
				$amount = $_POST['total'];
	
				//set the $trans_id variable to equal the order id variable sent by processor
				$trans_id = $_POST['order_number'];
				
				//verification code
				$vcode = $_POST['cart_order_id'];
				
				//check if test mode was used
				if ($_POST['demo'] == "Y") { $test_mode = 1; }
			}
		}
	}
	else
	{
		if (!empty($_POST['total']) AND !empty($_POST['order_number']))
		{
			//set the $amount variable to equal the amount variable sent by processor
			$amount = $_POST['total'];
	
			//set the $trans_id variable to equal the order id variable sent by processor
			$trans_id = $_POST['order_number'];
			
			//verification code
			$vcode = $_POST['cart_order_id'];
			
			//check if test mode was used
			if ($_POST['demo'] == "Y") { $test_mode = 1; }
			
			$process_affiliate_payment = true;
		}
	}	
}

#######################
## FOR TESTING ONLY ###
#######################

/* REMOVE THIS LINE TO FOR TESTING

$to = 'testpayments@jrox.com';
$email_subject = '2CHECKOUT PAYMENT TEST';
$from_email = "testpayments@jrox.com";
$message = "PAYMENT TEST:\n\n";

foreach ($_POST as $key => $value)
{
	$message .= $key."=".$value."\n";
}

$headers = "From: $from_email";

//SEND EMAIL
mail($to,$email_subject,$message,$headers);

REMOVE THIS LINE FOR TESTING */ 
?>