<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

//CONFIG VALUES	
$form_width = '390';
$form_height = '270';

####################################
## ENABLE AUTOMATIC REFUND MODULE ##
####################################

//-----------------------------------------------------//
// ENABLE SECRET VARIABLE FOR AUTOMATIC REFUND MODULE  //
//-----------------------------------------------------//
// If you want to enable the Automatic Refund Module,  //
// just uncomment and change the secret variable below //
//-----------------------------------------------------//

$secret = "secretword";

#######################
## CONFIGURATION MAP ##
#######################

// $status
// $description
// $default_payment
// $paypal_email = $config_1

#######################
## PROCESSING CONFIG ##
#######################

if (!empty($processing))
{	
	##################################################
	## POST VARIABLES BACK TO PAYPAL FOR VALIDATION ##
	##################################################
	
	$paypalreq = 'cmd=_notify-validate';
	
	if (!empty($_POST))
	{
		foreach ($_POST as $key => $value) 
		{
			$value = urlencode(stripslashes($value));
			$paypalreq .= "&$key=$value";
		}
	}

	$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
	$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
	$header .= "Content-Length: " . strlen($paypalreq) . "\r\n\r\n";
	$fp = fsockopen ('www.paypal.com', 80, $errno, $errstr, 30);
	
	if (!$fp) 
	{
		exit();
	} 
	else 
	{
		fputs ($fp, $header . $paypalreq);
		while (!feof($fp)) 
		{
			$res = fgets ($fp, 1024);
			if (strcmp ($res, "VERIFIED") == 0) 
			{
				//set to true if you want to have JAM generate a commission
				$process_affiliate = true; 
				
				//set the $amount variable to equal the amount variable sent by processor
				$amount = $_POST['mc_gross'];
				
				//Set the $trans_id variable to equal the order id variable sent by processor
				$trans_id = $_POST['txn_id'];
				
				//verification code
				$vcode = $_POST['custom'];
				
				if (!empty($_POST['payment_status']))
				{
					if ($_POST['payment_status'] == 'Refunded')
					{
						$transaction_id = $_POST['parent_txn_id'];
						$process_affiliate_refund = true;
					}
					elseif ($_POST['payment_status'] == 'Completed')
					{
						$process_affiliate_payment = true;
						
						//set IPN variable for non-recurring transaction
						$jxpsub = 1;
			
					}
					else
					{
						$no_processing = true;
					}
				}
			}
			else if (strcmp ($res, "INVALID") == 0) 
			{
				$process_affiliate_payment = false;
			}
		}
		
		fclose ($fp);
	}
}

#######################
## FOR TESTING ONLY ###
#######################

/* REMOVE THIS LINE TO FOR TESTING

$to = 'testpayments@jrox.com';
$email_subject = 'PAYPAL PAYMENT TEST';
$from_email = "testpayments@jrox.com";
$message = "PAYMENT TEST:\n\n";

foreach ($_POST as $key => $value)
{
	$message .= $key."=".$value."\n";
}

$headers = "From: $from_email";

//SEND EMAIL
mail($to,$email_subject,$message,$headers);

REMOVE THIS LINE FOR TESTING */ 
?>