<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');
	
// CONFIG VARIABLES
// $status
// $description
// $default_payment
// $vcode
$safepay_id = $module['config_1'];
$test_mode = $module['config_2'];
$notify_email = $module['config_3'];

switch ($membership_length)
{
	case "1":
		$jam_subscription_length = "30";
	break;
	
	case "3":
		$jam_subscription_length = "90";
	break;
	
	case "6":
		$jam_subscription_length = "180";
	break;
	
	case "12":
		$jam_subscription_length = "365";
	break;
}

?>
<div style="margin: 4em; border: 2px dashed #CCCCCC; padding: 4em;">
<form action="https://www.safepaysolutions.com/index.php" method="post" name="frm" id="frm">

	<input type="hidden" name="itestmode" value="<?php echo $test_mode ?>">
	
	
	<input type="hidden" name="returnURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/process/'.$jam_return; ?>">
	
	<!--
	//if you cannot use .htaccess redirection then enable this
	<input type="hidden" name="returnURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/ccprocess.php?jam='.$jam_return; ?>">
	-->
	<input type="hidden" name="notifyURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/ccprocess.php?type='.$processor_option; ?>">  
	<input type="hidden" name="cancelURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY; ?>">
	<input type="hidden" name="notifyEml" value="<?php echo $notify_email ?>">
	<input type="hidden" name="iowner" value="<?php echo $safepay_id ?>">
	<input type="hidden" name="ireceiver" value="<?php echo $safepay_id ?>">
	<input type="hidden" name="iamount" value="<?php echo $membership_full_amount ?>">
	<input type="hidden" name="itemName" value="<?php echo $product_name ?>">
	<input type="hidden" name="itemNum" value="<?php echo $pid ?>">
	<input type="hidden" name="idescr" value="<?php echo $product_name ?>">
	<input type="hidden" name="custom1" value="<?php echo $vcode ?>">
	<input type="hidden" name="custom2" value="">
	<input type="hidden" name="custom3" value="">
	<input type="hidden" name="custom4" value="">
	<input type="hidden" name="custom5" value="">
	<input type="hidden" name="colortheme" value="">
<?php
if ($membership_length == 0)
{
?>
	<input type="hidden" name="_ipn_act" value="_ipn_payment">		
	
	<input type="hidden" name="idelivery" value="1">
	<input type="hidden" name="iquantity" value="1">
	<input type="hidden" name="imultiplyPurchase" value="n">    
	

<?php
}
else
{
?>
	<input type="hidden" name="_ipn_act" value="_ipn_subscription">

	<input type="hidden" name="cycleLength" value="<?php echo $jam_subscription_length ?>">
	<input type="hidden" name="cycles" value="0">
	
	 <!--
  	//enable this if you want to charge trial memberships
	<input type="hidden" name="trialPeriod" value="30">
	<input type="hidden" name="trialCycles" value="1">
	<input type="hidden" name="trialAmount" value="50">
	-->
<?php
}
?>
	
	<p align="center" style="font-size:14px; font-weight:bold;"><?php echo TRANSFERRRING_TO_PAYMENT ?></p>
	
	<?php 
	if (file_exists(HOME_BASE_DIRECTORY.'/plugins/processors/'.$processor_option.'/logo.gif')) 
	{	
		echo '<p align="center"><img src="'.MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/plugins/processors/'.$processor_option.'/logo.gif" style="padding: 5px; margin: 5px; border: 1px solid #CCCCCC; background-color: #FFFFFF;"/></p>';
	}
	
	?>
	
	<p align="center" style="font-size:12px;"><?php echo PAYMENT_FORWARDED_NOTE ?></p>
	<div align="center" style="font-size:12px; padding-top: 2em;; padding-bottom: 2em;"><img src="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY ?>/includes/images/progress_1.gif" alt="processing" onload="document.frm.submit();" style="border: 3px solid #CCCCCC;"/></div>
	<p align="center">
	  <input type="submit" name="Submit" value="<?php echo CLICK_TO_SUBMIT_PAYMENT ?>" style="font-size:14px; border: 1px solid #666666; background-color:#CCCCCC;">
    </p>
</form></div>
