<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');
	
#######################
## CONFIGURATION MAP ##
#######################

// status
// subscribe URL = $module['config_1']

//affiliate data array
//$affdata

/*#####################################################################################
SETUP JAM PROGRAM MAPPING TO MAILING LIST NUMBER
#######################################################################################

You can setup JAM to redirect a particular JAM affiliate program to a certain 
mailing list with the use of the program ID to mailing list mapping function.

Here's how it works:

1. Get the program ID's you have in JAM.  These are normally numbers like 1,2, or 3.

2. The JAM program ID's are represented as "pid" in the mapping. For example, to map
program ID #1, you would write as follows: 

$program_group == 1;

3. Get the list numbers or codes from your mailing list, for example your mailing list
code is "5".  

4. To map the JAM Program ID 1 to your mailing list code of 5, you can do this:

if ($program_group == 1 )
{
	$listcode = 5;
}

5. $listcode will represent the correct number for your hidden mailing list code.

6. You can have as many JAM program mappings to mailing lists as you want.  Just type
them in succession of one another, like this:

if ($program_group == 1 )
{
	$listcode = 5;
}

if ($program_group == 2 )
{
	$listcode = 6;
}

if ($program_group == 3 )
{
	$listcode = 7;
}

if ($program_group == 4 )
{
	$listcode = 10;
}

#######################################################################################*/

################################################################
## TYPE IN YOUR JAM PROGRAM ID TO MAILING LIST MAPPINGS BELOW ##
################################################################

if ($program_group == 1 )
{
	$listcode = 1;
}

if ($program_group == 2 )
{
	$listcode = 8;
}

#################################################
## END JAM PROGRAM ID TO MAILING LIST MAPPINGS ##
#################################################

$email_values = array
(
	//THESE ARE THE NAME-VALUE PAIRS THAT YOU NEED TO SUBSCRIBE TO YOUR EXTERNAL AUTORESPONDER
	"fname"	=> 	$affdata['first_name'],		
	"lname"	=>	$affdata['last_name'],
	"email"	=>	$affdata['primary_email'],
	"list"	=>	$listcode,
	"Submit" => 'Submit',
);

$fields = "";
foreach( $email_values as $key => $value ) $fields .= "$key=" . urlencode( $value ) . "&";


if (function_exists('curl_init'))
{
	$ch = curl_init($module['config_1']); 
	curl_setopt($ch, CURLOPT_HEADER, 0); // set to 0 to eliminate header info from response
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // Returns response data instead of TRUE(1)
	curl_setopt($ch, CURLOPT_POSTFIELDS, rtrim( $fields, "& " )); // use HTTP POST to send form data
	### curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE); // uncomment this line if you get no gateway response. ###
	$resp = curl_exec($ch); //execute post and get results
	curl_close ($ch);
}
?>