<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

function Custom_Tool_Template_Config()
{
	global $id, $status, $name, $type, $description, $default_payment, $config_1, $config_2, $config_3, 
		   $config_4, $config_5, $config_6, $config_7, $config_8, $config_9, $config_10, $html, $pid,
		   $config_11, $config_12, $config_13, $config_14, $config_15, $config_16, $config_17, $txtContent, $textContent,
		   $config_18, $config_19, $config_20, $payment_type, $adm_theme_selection, $show_errors, $success_message;
		   
	if ($html == '')  { $html = 1; }
	
	Check_Browser_Version();
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<link href="includes/html/themes/<?php echo $adm_theme_selection ?>/style.css" rel="stylesheet" type="text/css" />
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
<!--
function switchpage(select) {
  var index;

  for(index=0; index<select.options.length; index++)
    if(select.options[index].selected)
      {
        if(select.options[index].value!="")
          window.location.href=select.options[index].value;
        break;
      }
}
// -->
</SCRIPT>
<script language="JavaScript" type="text/javascript" src="../includes/js/overlib.js"></script>
<script type="text/javascript" src="../includes/js/overlib_hideform.js"></script>
<script language=JavaScript src='../includes/js/scripts/innovaeditor.js'></script>
<style>
body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11px;
	letter-spacing: 0.1em;
	color:#333333;
}

.MTable {
	border: 1px solid #999999;
	font-size: 11px;
	background-color: #CCCCCC;
}

.MTable tr {
	background-color: <?php echo TABLE_ROW_COLOR_1 ?>
}

input {
	font-size: 11px;
}

.select_small_1 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #000000;
	border: 1px solid #666666;
	background-color: #EAEAEA;
	letter-spacing:normal;
	background-image:url(<?php echo ADMIN_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY ?>/includes/html/themes/<?php echo $adm_theme_selection ?>/images/bg_gradient_1.jpg);
}

select {
	font-size: 11px;
}

.MHead {
	display:block;
	margin: 2px;
	background-color:#003366;
	color:#FFFFFF;
	font-size: 12px;
}
</style>
</head>

<body>
<form id="form1" name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
<table width="676" border="0" align="center" cellpadding="5" cellspacing="1" class="MTable">
  <tr>
    <td colspan="3" align="center"><strong class="MHead">Landing Page Generator</strong>
	<?php if (strlen($show_errors) > 0) { echo "<div style='color: #FF0000; padding-top: 2px; padding-bottom: 2px;'>".$show_errors."</div>"; } ?>
	<?php if (strlen($success_message) > 0) { echo "<div style='color: #FF0000; padding-top: 2px; padding-bottom: 2px;'>".$success_message."</div>"; } ?>	</td>
  </tr>
  <tr>
    <td colspan="4">This Tool allows you to build custom landing or sales pages that your affiliates can download for themselves via the members area. By doing this, you can give them pre-written landing pages with their affiliate information embedded. They can in turn just upload these pages directly to their websites for promotion. </td>
    </tr>
  <tr>
    <td><strong>Select Landing Page </strong></td>
    <td colspan="3"><?php Link_Select_Custom_Tool($type); ?> <?php Check_Delete_Marketing_Tool(); ?></td>
  </tr>
  <tr>
    <td width="322"><strong>Status</strong></td>
    <td width="329" colspan="3">
      <select name="status" id="status">
        <option value="1" <?php if ($status == 1) { echo 'selected'; } ?>><?php echo ROW_ENABLE; ?></option>
        <option value="0" <?php if ($status == 0) { echo 'selected'; } ?>><?php echo ROW_DISABLE; ?></option>
      </select>    </td>
    </tr>
	<tr>
	  <td><strong>Name</strong></td>
	  <td colspan="3"><input name="name" type="text" id="name" value="<?php echo stripslashes($name); ?>" /></td>
    </tr>
	<tr>
    <td><strong>Select Program </strong></td>
    <td colspan="3"><?php Link_Show_Marketing_Products(); ?></td>
    </tr>
    <tr>
      <td valign="top"><strong>File Name</strong></td>
      <td colspan="3"><input name="config_2" type="text" id="config_2" value="<?php if (empty($config_2)) { echo 'landingpage.html'; } else { echo stripslashes($config_2); } ?>" /></td>
    </tr>
    <tr>
    <td valign="top"><strong>Description</strong></td>
    <td colspan="3">
      <textarea name="description" cols="35" rows="3" id="description"><?php echo stripslashes($description); ?></textarea></td>
    </tr>
 
  <tr bgcolor="#F4F4F4" onmouseover="this.bgColor='#CAE4FF';" onmouseout="this.bgColor='#F4F4F4';">
              <td colspan="2">

		<strong>HTML Content</strong> </td><td align="right"><select name="select">
                  <option selected>View Allowed Custom Tags</option>
				  <option value='%%%DATE_TIME%%%'>Date and Time - %%%DATE_TIME%%%</option>

				  				   <option value='%%%USERNAME%%%'>Username - %%%USERNAME%%%</option>
				   <option value='%%%PRIMARY_EMAIL%%%'>Primary Email - %%%PRIMARY_EMAIL%%%</option>

				   <option value='%%%FIRST_NAME%%%'>First Name - %%%FIRST_NAME%%%</option>
                   <option value='%%%LAST_NAME%%%'>Last Name - %%%LAST_NAME%%%</option>
				   <option value='%%%AFFILIATE_URL%%%'>Affiliate URL - %%%AFFILIATE_URL%%%</option>
				   <option value='%%%COMPANY%%%'>Company - %%%COMPANY%%%</option>
				   <option value='%%%MEMBER_ID%%%'>Member ID - %%%MEMBER_ID%%%</option>
				   <option value='%%%ADDRESS_1%%%'>Address 1 - %%%ADDRESS_1%%%</option>

				   <option value='%%%ADDRESS_2%%%'>Address 2 - %%%ADDRESS_2%%%</option>
				   <option value='%%%CITY%%%'>City - %%%CITY%%%</option>
				   <option value='%%%STATE%%%'>State - %%%STATE%%%</option>
				   <option value='%%%COUNTRY%%%'>Country - %%%COUNTRY%%%</option>
				   <option value='%%%ZIP_CODE%%%'>Zip Code - %%%ZIP_CODE%%%</option>
				   <option value='%%%PHONE%%%'>Phone - %%%PHONE%%%</option>
				   <option value='%%%WEBSITE%%%'>Website - %%%WEBSITE%%%</option>	
				   <option value='%%%CUSTOM_FIELD_1%%%'>Custom Field 1 - %%%CUSTOM_FIELD_1%%%</option>
				   <option value='%%%CUSTOM_FIELD_2%%%'>Custom Field 2 - %%%CUSTOM_FIELD_2%%%</option>
				   <option value='%%%CUSTOM_FIELD_3%%%'>Custom Field 3 - %%%CUSTOM_FIELD_3%%%</option>
				   <option value='%%%CUSTOM_FIELD_4%%%'>Custom Field 4 - %%%CUSTOM_FIELD_4%%%</option>
				   <option value='%%%CUSTOM_FIELD_5%%%'>Custom Field 5 - %%%CUSTOM_FIELD_5%%%</option>

				   
				  <option value='%%%LOGIN_URL%%%'>Login URL - %%%LOGIN_URL%%%</option>

                  </select></td></tr>
  <tr bgcolor="#EBEBEB" onmouseover="this.bgColor='#CAE4FF';" onmouseout="this.bgColor='#EBEBEB';">
              <td colspan="3">
		<div align="left"><textarea id="config_1" name="config_1" rows=4 cols=30><?php echo encodeHTML(stripslashes($config_1));?></textarea>
				<script>
				var oEdit1 = new InnovaEditor("oEdit1");
				oEdit1.mode="HTML";
				oEdit1.width="100%";
				oEdit1.btnBookmark=false;
				oEdit1.btnFlash=false;
				oEdit1.btnForm=false;
				oEdit1.btnFullScreen=false;
				oEdit1.arrCustomTag=[["Date and Time","%%%DATE_TIME%%%"],
								["Username","%%%USERNAME%%%"],
				["Primary Email","%%%PRIMARY_EMAIL%%%"],
				["First Name","%%%FIRST_NAME%%%"],
				["Last Name","%%%LAST_NAME%%%"],
				["Affiliate URL","%%%AFFILIATE_URL%%%"],
				["Company","%%%COMPANY%%%"],
				["Member ID","%%%MEMBER_ID%%%"],
				["Address 1","%%%ADDRESS_1%%%"],
				["Address 2","%%%ADDRESS_2%%%"],
				["City","%%%CITY%%%"],
				["State","%%%STATE%%%"],
				["Country","%%%COUNTRY%%%"],
				["Zip Code","%%%ZIP_CODE%%%"],
				["Phone","%%%PHONE%%%"],
				["Website","%%%WEBSITE%%%"],
				["Custom Field 1","%%%CUSTOM_FIELD_1%%%"],
				["Custom Field 2","%%%CUSTOM_FIELD_2%%%"],
				["Custom Field 3","%%%CUSTOM_FIELD_3%%%"],
				["Custom Field 4","%%%CUSTOM_FIELD_4%%%"],
				["Custom Field 5","%%%CUSTOM_FIELD_5%%%"],

								["Login URL","%%%LOGIN_URL%%%"]];

				oEdit1.REPLACE("config_1");
				</script></div></td></tr>
  
  <tr>
    <td colspan="3" align="center"><input type="submit" name="Submit" value="Submit" class="select_small_1"/>
      <input name="type" type="hidden" id="type" value="Landing_Pages" />
	  <input name="mod" type="hidden" id="mod" value="marketing" />
	  <input name="req" type="hidden" id="req" value="customtools" />
	  <input name="action" type="hidden" id="action" value="edit" />
	  <input name="id" type="hidden" id="id" value="<?php echo $id; ?>" />
	  <input type="button" name="button" value="Close Window" onclick="javascript:window.close();" class="select_small_1"/>	  </td>
    </tr>
</table>
</form>
</body>
</html>
<?php
}
?>