<?php
#####################################################################################
## JROX.COM Affiliate Manager - payments.php file
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

#######################################################################################
## This file is the main logic file for sending out affiliate payments via processors
#######################################################################################

if (!defined('JROX'))
	die('Error');


if (empty($_GET['id']))
{
	header("Location:/");
	exit();
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
</head>

<body>
<div align="center">
<h1 style="font-family:Arial, Helvetica, sans-serif; font-size:18px; letter-spacing: 0.1em; color:#0033CC;">If the page does not redirect you in a few moments, you can click on the button to continue</h1>
<?php
switch ($_GET['id'])
{
	case "paypal":
	
		echo '<form action="https://www.paypal.com/cgi-bin/webscr" method="post" name="myform">
		<input type="hidden" name="cmd" value="_xclick">
		<input type="hidden" name="business" value="',$_GET['uid'],'">
		<input type="hidden" name="item_name" value="Affiliate Commission">
		<input type="hidden" name="item_number" value="1000">
		<input type="hidden" name="amount" value="',$_GET['amount'],'">
		<input type="hidden" name="no_shipping" value="0">
		<input type="hidden" name="no_note" value="1">
		<input type="hidden" name="currency_code" value="',$_GET['currency_code'],'">
		<input type="hidden" name="lc" value="US">
		<input type="hidden" name="bn" value="PP-BuyNowBF">
		<input type="submit" value="Click Here to Pay ',$_GET['uid'],' via Paypal">
		<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
		</form>
		<script language="javascript"><!--
		document.myform.submit()
		//-->
		</script>';
	
	break;
	
	case "stormpay":

		echo '<form method="post" action="https://www.stormpay.com/stormpay/handle_gen.php" name="myform">
		<input type=hidden name=payee_email value="',$_GET['uid'],'">
		<input type=hidden name=product_name value="Affiliate Commission">
		<input type=hidden name=unit_price value="',$_GET['amount'],'">
		<input type="submit" value="Click Here to Pay ',$_GET['uid'],' via StormPay">
		</form>
		<script language="javascript"><!--
		document.myform.submit()
		//-->
		</script>';
	
	break;
	
	case "safepay":
	
		echo '<form action="https://www.safepaysolutions.com/index.php" method="post" name="myform">
		<input type="hidden" name="_ipn_act" value="_ipn_payment">
		<input type="hidden" name="itestmode" value="off">
		<input type="hidden" name="notifyURL" value="">
		<input type="hidden" name="returnURL" value="">
		<input type="hidden" name="cancelURL" value="">
		<input type="hidden" name="iowner" value="',$_GET['uid'],'">
		<input type="hidden" name="ireceiver" value="',$_GET['uid'],'">
		<input type="hidden" name="iamount" value="',$_GET['amount'],'">
		<input type="hidden" name="itemName" value="Affiliate Commission">
		<input type="hidden" name="itemNum" value="">
		<input type="hidden" name="idescr" value="Affiliate Commission">
		<input type="hidden" name="idelivery" value="1">
		<input type="hidden" name="iquantity" value="1">
		<input type="hidden" name="imultiplyPurchase" value="n">
		<input type="hidden" name="custom1" value="">
		<input type="hidden" name="custom2" value="">
		<input type="hidden" name="custom3" value="">
		<input type="hidden" name="custom4" value="">
		<input type="hidden" name="custom5" value="">
		<input type="hidden" name="colortheme" value="">
		<input type="submit" value="Click Here to Pay ',$_GET['uid'],' via SafePay">
		</form>
		<script language="javascript"><!--
		document.myform.submit()
		//-->
		</script>
		';
	
	break;
	
	case "alertpay":
	
		echo "<form action='https://www.alertpay.com/PayProcess.aspx' method='post' name='myform'>
		<input type='hidden' name='ap_purchasetype' value='Service'>
		<input type='hidden' name='ap_merchant' value='",$_GET['uid'],"'>
		<input type='hidden'  name='ap_itemname' value='Affiliate Commission'>
		<input type='hidden'  name='ap_currency' value='USD'>
		<input type='hidden'  name='ap_returnurl' value='",$_SERVER['HTTP_HOST'],"'>
		<input type='hidden'  name='ap_quantity' value='1'>
		<input type='hidden' name='ap_description' value='Affiliate Commission'>
		<input type='hidden'  name='ap_amount' value='",$_GET['amount'],"'>
		<input type='submit' value='Click Here to Pay ",$_GET['uid']," via Alertpay'>
		</form>
		<script language=\"javascript\"><!--
		document.myform.submit()
		//-->
		</script>";
	
	break;
	
	case "egold":
		
		echo "<form action='https://www.e-gold.com/sci_asp/payments.asp' method='get' name='myform'>
		<input type='hidden' name='PAYEE_ACCOUNT' value='",$_GET['uid'],"'>
		<input type='hidden' name='PAYEE_NAME' value='",$_GET['uid'],"'>
		<input type='hidden'  name='PAYMENT_AMOUNT' value='",$_GET['amount'],"'>
		<input type='hidden'  name='PAYMENT_UNITS' value='1'>
		<input type='hidden'  name='PAYMENT_METAL_ID' value='0'>
		<input type='hidden'  name='STATUS_URL' value='AUTO'>
		<input type='hidden' name='NOPAYMENT_URL' value='http://www.e-gold.com'>
		<input type='hidden'  name='NOPAYMENT_URL_METHOD' value='LINK'>
		<input type='hidden'  name='PAYMENT_URL' value='http://www.e-gold.com'>
		<input type='hidden'  name='PAYMENT_URL_METHOD' value='LINK'>
		<input type='hidden'  name='BAGGAGE_FIELDS' value=''>
		<input type='submit' value='Click Here to Pay ",$_GET['uid']," via E-Gold'>
		</form>
		<script language=\"javascript\"><!--
		document.myform.submit()
		//-->
		</script>";
	
	break;
}

?>
</div>
</body>
</html>