<?php
#####################################################################################
## JROX.COM Affiliate Manager - setlang.php file
## Version 1.6.2
##
## Author: 			Ryan Roxas(ryan@jrox.com)
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.
##
## This script may be only used and modified in accordance to the license
## agreement attached (license.txt) except where expressly noted within
## commented areas of the code body. This copyright notice and the
## comments above and below must remain intact at all times.  By using this
## code you agree to indemnify JROX Technologies, Inc, its corporate agents
## and affiliates from any liability that might arise from its use.
##
## Selling the code for this program without prior written consent is
## expressly forbidden and in violation of Domestic and International
## copyright laws.
#######################################################################################

if (!defined('JROX'))
	die('Error');

#######################################################################################
## THIS FILE SETS THE LANGUAGES
#######################################################################################

#################################
## SELECT LANGUAGE FILE TO USE ##
#################################

$lang_array = array();

if ($handle = @opendir(HOME_BASE_DIRECTORY.'/includes/lang')) 
{
	while (false !== ($file = readdir($handle))) 
	{
		if ($file != "." && $file != ".." && $file != "index.php") 
		{
			array_push($lang_array, $file);		
		}
	}
	closedir($handle);

	asort($lang_array);
	
	if (!empty($_SESSION['mlalogin']))
	{
		$site_language = $_SESSION['mlalogin'];
	}

	foreach ($lang_array as $value)
	{
		if ($site_language == $value)
		{
			require HOME_BASE_DIRECTORY.'/includes/lang/'.$site_language.'/index.php';
		}
	}
}
else
{
	Error_Message("Could Not Open Language File");
}
header('Content-type: text/html; charset=' . ISO_CODE);
?>