<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

//CONFIG VALUES	
$form_width = '390';
$form_height = '310';

#######################
## CONFIGURATION MAP ##
#######################

// $status
// $description
// $default_payment
// $ap_merchant = $config_1
// $ap_securitycode = $config_2
// test_mode = $config_3

#######################
## PROCESSING CONFIG ##
#######################

if (!empty($processing))
{
	//CHECK IF ALL VARIABLES ARE AVAILABLE

	//set to true if you want to have JAM generate a commission
	$process_affiliate = true; 

	//check security code
	if (!empty($config_2))
	{
		if ($config_2 == $_POST['ap_securitycode'])
		{
			$process_affiliate_payment = true;
			$amount = $_POST['ap_totalamount'];
			$trans_id = preg_replace("/([^a-z0-9]+)/", "", $_POST['ap_referencenumber']);
		}
	}
	else
	{
		if (!empty($_POST['ap_totalamount']))
		{
			$process_affiliate_payment = true;
			
			//set the $amount variable to equal the amount variable sent by processor
			$amount = $_POST['ap_totalamount'];
			
			//Set the $trans_id variable to equal the order id variable sent by processor
			$trans_id = preg_replace("/([^a-z0-9]+)/", "", $_POST['ap_referencenumber']);
		}
	}
	
	//verification code
	$vcode = $_POST['apc_1'];
}

#######################
## FOR TESTING ONLY ###
#######################

/* REMOVE THIS LINE TO FOR TESTING

$to = 'testpayments@jrox.com';
$email_subject = 'ALERTPAY PAYMENT TEST';
$from_email = "testpayments@jrox.com";
$message = "PAYMENT TEST:\n\n";

foreach ($_POST as $key => $value)
{
	$message .= $key."=".$value."\n";
}

$headers = "From: $from_email";

//SEND EMAIL
mail($to,$email_subject,$message,$headers);

REMOVE THIS LINE FOR TESTING */ 

?>