<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

################################################################################
## START HEAD SECTION - KEEP THIS AREA THE SAME FOR CUSTOM PROCESSORS
################################################################################

require_once '../../../includes/common.php';
require_once '../../../includes/sessions.php';
require_once '../../../includes/setlang.php';
require_once HOME_BASE_DIRECTORY.'/includes/mod/mod_members.php';

if (DEBUG_ADVANCED_ERROR == true)
{
	error_reporting(E_ALL);
}
else
{
	error_reporting(0);
}

//Session Security Check
if (empty($_SESSION['jam_cc_process']))
{
	header("Location:".MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY);
	exit();
}

Get_Site_Settings();

//INCLUDE STATIC VARIABLES FOR HTML LAYOUT
require_once HOME_BASE_DIRECTORY."/includes/html/themes/$member_theme/static.php";

if (!empty($_POST['pid']) AND is_numeric($_POST['pid']))
{
	$pid = $_POST['pid'];
}
else
{
	$pid = 1;
}

$mProgram = Get_Program_Values($pid);
	
########################
## END HEADER SECTION ##
########################


#################
## START LOGIC ##
#################

require_once 'processor.template.functions.php';

if (!empty($checkpost)) 
{ 
	extract($checkpost);
}
elseif (!empty($_POST))
{
	extract($_POST);
}

if (!empty($_POST['action']) AND $_POST['action'] == 'process')
{
	if (Check_CC_Data($_POST) == true)
	{
		if (Process_Credit_Card_Payment($checkpost) == true)
		{
			$type = 'Authorize_Net';
			$total_amount = $authnet_array[9];
			$order_number = $authnet_array[6];
			
			require HOME_BASE_DIRECTORY."/ccprocess.php";
			exit();
		}
		else
		{
			//SHOW CREDIT CARD ERRORS
			
			Show_Authorize_Net_Form();
		}
	}
	else
	{
		//SHOW VALIDATION ERRORS
		$show_errors = nl2br($show_errors);
		Show_Authorize_Net_Form();
	}
}
else
{
	Show_Authorize_Net_Form();
}

?>