<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');
	
// CONFIG VARIABLES
// $status
// $description
// $default_payment
// $vcode
$linkpoint_id = $module['config_1'];

//Forward Data to Linkpoint Central Form
if (empty($F_First_Name)) $F_First_Name = '';
if (empty($F_Last_Name)) $F_Last_Name = '';
if (empty($F_Address_1)) $F_Address_1 = '';
if (empty($F_Address_2)) $F_Address_2 = '';
if (empty($F_City)) $F_City = '';
if (empty($F_State)) $F_State = '';
if (empty($country)) $country = '';
if (empty($F_Zip)) $F_Zip = '';
if (empty($F_Phone)) $F_Phone = '';
if (empty($F_Primary_Email)) $F_Primary_Email = '';

switch ($membership_length)
{
	case "1":
		$jam_subscription_length = "m1";
	break;
	
	case "3":
		$jam_subscription_length = "m3";
	break;
	
	case "6":
		$jam_subscription_length = "m6";
	break;
	
	case "12":
		$jam_subscription_length = "y1";
	break;
}

?>
<div style="margin: 4em; border: 2px dashed #CCCCCC; padding: 4em;">
<form action="https://www.linkpointcentral.com/lpc/servlet/lppay" method="post" name="frm" id="frm">
	<input name="mode" type="hidden" value="payonly" />
	<input name="chargetotal" type="hidden" value="<?php echo $membership_full_amount ?>" />
	<input name="storename" type="hidden" value="<?php echo $linkpoint_id ?>" />
	<input name="baddr1" type="hidden" value="<?php echo $F_Address_1 ?>">
	<input name="bcity" type="hidden" value="<?php echo $F_City ?>">
	<input name="bstate" type="hidden" value="<?php echo $F_State ?>">
	<input name="bcountry" type="hidden" value="<?php echo $country ?>">
	<input name="bzip" type="hidden" value="<?php echo $F_Zip ?>">
	<input type="hidden" name="vcode" value="<?php echo $vcode ?>">
	<!--
	//if you have problems with the return url for linkpoint use this
	<input type="hidden" name="responseSuccessURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/processtype/'.$processor_option; ?>">
	-->
	
	<input type="hidden" name="responseSuccessURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/ccprocess.php?type='.$processor_option; ?>">  
	<input type="hidden" name="responseFailURL" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY; ?>">

<?php
if ($membership_length != 0)
{
?>
	
	<input name="submode" value="periodic" type="hidden">
	<input name="periodicity" value="<?php echo $jam_subscription_length ?>" type="hidden">
	<input name="installments" value="99" type="hidden">
	<input name="threshold" value="3" type="hidden">
	<input name="startdate" value="<?php echo date('Ymd') ?>" type="hidden"> 
	
<?php
}
?>

	
	<p align="center" style="font-size:14px; font-weight:bold;"><?php echo TRANSFERRRING_TO_PAYMENT ?></p>
	
	<?php 
	if (file_exists(HOME_BASE_DIRECTORY.'/plugins/processors/'.$processor_option.'/logo.gif')) 
	{	
		echo '<p align="center"><img src="'.MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/plugins/processors/'.$processor_option.'/logo.gif" style="padding: 5px; margin: 5px; border: 1px solid #CCCCCC; background-color: #FFFFFF;"/></p>';
	}
	
	?>
	
	<p align="center" style="font-size:12px;"><?php echo PAYMENT_FORWARDED_NOTE ?></p>
	<div align="center" style="font-size:12px; padding-top: 2em;; padding-bottom: 2em;"><img src="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY ?>/includes/images/progress_1.gif" alt="processing" onload="document.frm.submit();" style="border: 3px solid #CCCCCC;"/></div>
	<p align="center">
	  <input type="submit" name="Submit" value="<?php echo CLICK_TO_SUBMIT_PAYMENT ?>" style="font-size:14px; border: 1px solid #666666; background-color:#CCCCCC;">
    </p>
</form></div>
