<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');
	
// $status
// $description
// $default_payment
// $vcode
$moneybookers_email= $module['config_1'];

//set up empty variables
if (empty($F_First_Name)) $F_First_Name = '';
if (empty($F_Last_Name)) $F_Last_Name = '';
if (empty($F_Address_1)) $F_Address_1 = '';
if (empty($F_City)) $F_City = '';
if (empty($F_State)) $F_State = '';
if (empty($country)) $country = '';
if (empty($F_Zip)) $F_Zip = '';
if (empty($F_Phone)) $F_Phone = '';
if (empty($F_Primary_Email)) $F_Primary_Email = '';

//CALCULATE RECURRING OPTIONS
if ($membership_length != 0)
{
	if ($membership_length == 1) {$recurring_length = '30'; }
	if ($membership_length == 3) {$recurring_length = '90'; }
	if ($membership_length == 6) {$recurring_length = '180'; }
	if ($membership_length == 12) {$recurring_length = '365'; }
}

?>
<div style="margin: 4em; border: 2px dashed #CCCCCC; padding: 4em;">
<form action="https://www.moneybookers.com/app/payment.pl" method="post" name="frm" target="_self">					
	<input type='hidden' name='pay_to_email' value='<?php echo $moneybookers_email ?>' />					
	<input type='hidden' name='transaction_id' value='<?php echo $vcode ?>' />
	
	<!--
	//if you have problems with the return url for moneybookers use this
	<input type="hidden" name="return_url" value="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/process/'.$jam_return; ?>">
	-->
	
	<input type='hidden' name='return_url' value='<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/ccprocess.php?jam='.$jam_return; ?>' />
	<input type='hidden' name='cancel_url' value='<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY; ?>' />
	<input type='hidden' name='status_url' value='<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/ccprocess.php?type='.$processor_option; ?>' />
	<input type='hidden' name='language' value='EN' />
	<input type='hidden' name='pay_from_email' value='<?php echo $F_Primary_Email ?>' />
<?php
if ($membership_length == 0)
{
?>
	<input type='hidden' name='amount' value='<?php echo $membership_full_amount ?>'>
<?php
}
else
{
?>
	<input type='hidden' name='rec_amount' value='<?php echo $membership_full_amount ?>'>
	<input type='hidden' name='rec_start_date' value='<?php echo date('d/m/Y'); ?>'>
	<input type='hidden' name='rec_end_date' value='<?php echo date("d/m/Y", mktime(0, 0, 0, date('m'), date('d'), date('Y')+ 5)); ?>'>
	<input type='hidden' name='rec_period' value='<?php echo $recurring_length ?>'>
<?php
}
?>

	
	<input type='hidden' name='currency' value='USD'>
	<input type='hidden' name='firstname' value='<?php echo $F_First_Name ?>'>
	<input type='hidden' name='lastname' value='<?php echo $F_Last_Name ?>'>
	<input type='hidden' name='address' value='<?php echo $F_Address_1 ?>'>
	<input type='hidden' name='postal_code' value='<?php echo $F_Zip ?>'>
	<input type='hidden' name='city' value='<?php echo $F_City ?>'>
	<input type='hidden' name='country' value='<?php echo $country ?>'>
	
	<p align="center" style="font-size:14px; font-weight:bold;"><?php echo TRANSFERRRING_TO_PAYMENT ?></p>
	
	<?php 
	if (file_exists(HOME_BASE_DIRECTORY.'/plugins/processors/'.$processor_option.'/logo.gif')) 
	{	
		echo '<p align="center"><img src="'.MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY.'/plugins/processors/'.$processor_option.'/logo.gif" style="padding: 5px; margin: 5px; border: 1px solid #CCCCCC; background-color: #FFFFFF;"/></p>';
	}
	
	?>
	
	<p align="center" style="font-size:12px;"><?php echo PAYMENT_FORWARDED_NOTE ?></p>
	<div align="center" style="font-size:12px; padding-top: 2em;; padding-bottom: 2em;"><img src="<?php echo MEMBERS_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY ?>/includes/images/progress_1.gif" alt="processing" onload="document.frm.submit();" style="border: 3px solid #CCCCCC;"/></div>
	<p align="center">
	  <input type="submit" name="Submit" value="<?php echo CLICK_TO_SUBMIT_PAYMENT ?>" style="font-size:14px; border: 1px solid #666666; background-color:#CCCCCC;">
    </p>
</form></div>
