<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

//CONFIG VALUES	
$form_width = '390';
$form_height = '290';

#######################
## CONFIGURATION MAP ##
#######################

// $status
// $description
// $default_payment
// $moneybookers_email = $config_1
// $secret_word = $config_2

#######################
## PROCESSING CONFIG ##
#######################

if (!empty($processing))
{
	//check security
	if (!empty($config_2))
	{
		if (!empty($_POST['md5sig']))
		{
			$mb_secret = strtoupper(md5(strtolower($config_2)));
			$key_compare = strtoupper(md5($_POST['merchant_id'].$_POST['transaction_id'].$mb_secret.$_POST['mb_amount'].$_POST['mb_currency'].$_POST['status']));
			if ($key_compare == $_POST['md5sig'])
			{
				$process_affiliate_payment = true;
				//set to true if you want to have JAM generate a commission
				$process_affiliate = true; 
				
				//set the $amount variable to equal the amount variable sent by processor
				$amount = $_POST['amount'];
				
				//Set the $trans_id variable to equal the order id variable sent by processor
				$trans_id = $_POST['mb_transaction_id'];
				
				//verification code
				$vcode = $_POST['transaction_id'];
			}
		}
	}
	else
	{
		if (!empty($_POST['amount']) AND !empty($_POST['transaction_id']))
		{
			$process_affiliate_payment = true;
			//set to true if you want to have JAM generate a commission
			$process_affiliate = true; 
			
			//set the $amount variable to equal the amount variable sent by processor
			$amount = $_POST['amount'];
			
			//Set the $trans_id variable to equal the order id variable sent by processor
			$trans_id = $_POST['mb_transaction_id'];
			
			//verification code
			$vcode = $_POST['transaction_id'];
		}
	}	
}


#######################
## FOR TESTING ONLY ###
#######################

/* REMOVE THIS LINE TO FOR TESTING

$to = 'testpayments@jrox.com';
$email_subject = 'MONEYBOOKERS PAYMENT TEST';
$from_email = "testpayments@jrox.com";
$message = "PAYMENT TEST:\n\n";

foreach ($_POST as $key => $value)
{
	$message .= $key."=".$value."\n";
}

$headers = "From: $from_email";

//SEND EMAIL
mail($to,$email_subject,$message,$headers);

REMOVE THIS LINE FOR TESTING */ 
?>