<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');

//CONFIG VALUES	
$signup_module_type = 'AutoResponse Plus';


function Internal_Signup_Module_Template_Config()
{
	global $status, $name, $config_1, $config_2, $config_3,  $type, $description, $config_name,
		   $config_4, $config_5, $config_6, $config_7, $config_8, $config_9, $config_10,
		   $config_11, $config_12, $signup_module_type, $adm_theme_selection, $show_errors, $success_message;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<link href="includes/html/themes/<?php echo $adm_theme_selection ?>/style.css" rel="stylesheet" type="text/css" />
<style>
body {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 11px;
	letter-spacing: 0.1em;
	color:#333333;
}

.MTable {
	border: 1px solid #999999;
	font-size: 11px;
	background-color: #CCCCCC;
}

.MTable tr {
	background-color: <?php echo TABLE_ROW_COLOR_1 ?>
}

input {
	font-size: 11px;
}

.select_small_1 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #000000;
	border: 1px solid #666666;
	background-color: #EAEAEA;
	letter-spacing:normal;
	background-image:url(<?php echo ADMIN_HOME_BASE_URL.HOME_BASE_AFFILIATE_DIRECTORY ?>/includes/html/themes/<?php echo $adm_theme_selection ?>/images/bg_gradient_1.jpg);
}

select {
	font-size: 11px;
}

.MHead {
	display:block;
	margin: 2px;
	background-color:#003366;
	color:#FFFFFF;
	font-size: 12px;
}
</style>
</head>

<body>
<form id="form1" name="form1" method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>">
<table width="350" border="0" align="center" cellpadding="5" cellspacing="1" class="MTable">
  <tr>
    <td colspan="2" align="center"><strong class="MHead"><?php echo $signup_module_type ?> Configuration </strong>
	<?php if (strlen($show_errors) > 0) { echo "<div style='color: #FF0000; padding-top: 2px; padding-bottom: 2px;'>".$show_errors."</div>"; } ?>
	<?php if (strlen($success_message) > 0) { echo "<div style='color: #FF0000; padding-top: 2px; padding-bottom: 2px;'>".$success_message."</div>"; } ?>	</td>
  </tr>
  <tr>
    <td colspan="2"><p align="center"><a href="http://www.autoresponseplus.com/" target="_blank"><strong>Click Here for More Information on<br /> 
      <?php echo $signup_module_type ?></strong></a> </p></td>
    </tr>
  <tr>
    <td width="164">Status</td>
    <td width="166">
      <select name="status" id="status">
        <option value="1" <?php if ($status == 1) { echo 'selected'; } ?>><?php echo ROW_ENABLE; ?></option>
        <option value="0" <?php if ($status == 0) { echo 'selected'; } ?>><?php echo ROW_DISABLE; ?></option>
      </select>    </td>
  </tr>
  <tr>
    <td>Description</td>
    <td><input name="description" type="text" id="description" value="<?php echo $description ?>" /></td>
  </tr>
  <tr>
    <td>Subcribe URL </td>
    <td><input name="config_1" type="text" id="config_1" value="<?php echo $config_1 ?>" /></td>
  </tr>
  <tr>
    <td>Mailing List ID </td>
    <td><input name="config_11" type="text" id="config_11" value="<?php echo $config_11 ?>" /></td>
  </tr>
  <tr>
    <td><?php echo $config_name['2'] ?></td>
    <td><select name="config_2" id="config_2">
        <option value="1" <?php if ($config_2 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_2 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['3'] ?></td>
    <td><select name="config_3" id="config_3">
        <option value="1" <?php if ($config_3 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_3 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['4'] ?></td>
    <td><select name="config_4" id="config_4">
        <option value="1" <?php if ($config_4 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_4 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['5'] ?></td>
    <td><select name="config_5" id="config_5">
        <option value="1" <?php if ($config_5 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_5 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['6'] ?></td>
    <td><select name="config_6" id="config_6">
        <option value="1" <?php if ($config_6 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_6 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['7'] ?></td>
    <td><select name="config_7" id="config_7">
        <option value="1" <?php if ($config_7 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_7 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['8'] ?></td>
    <td><select name="config_8" id="config_8">
        <option value="1" <?php if ($config_8 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_8 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['9'] ?></td>
    <td><select name="config_9" id="config_9">
        <option value="1" <?php if ($config_9 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_9 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  <tr>
    <td><?php echo $config_name['10'] ?></td>
    <td><select name="config_10" id="config_10">
        <option value="1" <?php if ($config_10 == 1) { echo 'selected'; } ?>><?php echo ROW_YES; ?></option>
        <option value="0" <?php if ($config_10 == 0) { echo 'selected'; } ?>><?php echo ROW_NO; ?></option>
      </select></td>
  </tr>
  
 
  
  <tr>
    <td colspan="2" align="center"><input type="submit" name="Submit" value="Submit" class="select_small_1"/>
      <input name="name" type="hidden" id="name" value="<?php $payment_type ?>" />
	  <input name="mod" type="hidden" id="mod" value="settings" />
	  <input name="req" type="hidden" id="req" value="isignupmod" />
	  <input name="action" type="hidden" id="action" value="edit" />
	  <input name="type" type="hidden" id="type" value="<?php echo $type ?>" />
	  <input type="button" name="button" value="Close Window" onclick="javascript:window.close();" class="select_small_1"/>	  </td>
    </tr>
</table>
</form>
</body>
</html>
<?php
}
?>