<?php
#####################################################################################
## JROX.COM Affiliate Manager
## Version 1.6.2
##      
## Author: 			Ryan Roxas(ryan@jrox.com)              
## Homepage:	 	http://jam.jrox.com
## Bug Reports: 	http://jam.jrox.com/bugzilla/
## Release Notes:	docs/READ_ME.txt
#######################################################################################

#######################################################################################
## COPYRIGHT NOTICE                                                     
## Copyright 2007 JROX Technologies, Inc.  All Rights Reserved.       
##                                                                        
## This script may be only used and modified in accordance to the license      
## agreement attached (license.txt) except where expressly noted within      
## commented areas of the code body. This copyright notice and the  
## comments above and below must remain intact at all times.  By using this 
## code you agree to indemnify JROX Technologies, Inc, its corporate agents   
## and affiliates from any liability that might arise from its use.                                                        
##                                                                           
## Selling the code for this program without prior written consent is       
## expressly forbidden and in violation of Domestic and International 
## copyright laws.  		                                           
#######################################################################################

if (!defined('JROX'))
	die('Error');
	
#######################
## CONFIGURATION MAP ##
#######################

//status
//subscribe URL = $module['config_1']
//first name = $module['config_2']
//last_name = $module['config_3']
//company name = $module['config_4']
//address_1 = $module['config_5']
//city = $module['config_6']
//state = $module['config_7']
//zip = $module['config_8']
//country = $module['config_9']
//phone = $module['config_10']
//mailing list ID = $module['config_11']

//affiliate data array
//$affdata

$email_values = array();

if ($module['config_2'] == 1)
{
	$email_values['first_name'] = $affdata['first_name'];
}

if ($module['config_3'] == 1)
{
	$email_values['last_name'] = $affdata['last_name'];
}

if ($module['config_4'] == 1)
{
	$email_values['company'] = $affdata['company_name'];
}

if ($module['config_5'] == 1)
{
	$email_values['street'] = $affdata['address_1'];
}

if ($module['config_6'] == 1)
{
	$email_values['city'] = $affdata['city'];
}

if ($module['config_7'] == 1)
{
	$email_values['state'] = $affdata['state'];
}

if ($module['config_8'] == 1)
{
	$email_values['zip'] = $affdata['zip'];
}

if ($module['config_9'] == 1)
{
	$email_values['country'] = $affdata['country'];
}

if ($module['config_10'] == 1)
{
	$email_values['phone1'] = $affdata['phone1'];
}

$email_values['id'] = $module['config_11'];
$email_values['email'] = $affdata['primary_email'];
$email_values['extra_ar'] = '';
$email_values['Submit'] = 'Go';

$fields = "";
foreach( $email_values as $key => $value ) $fields .= "$key=" . urlencode( $value ) . "&";

if (function_exists('curl_init'))
{
	$ch = curl_init($module['config_1']); 
	curl_setopt($ch, CURLOPT_HEADER, 0); // set to 0 to eliminate header info from response
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // Returns response data instead of TRUE(1)
	curl_setopt($ch, CURLOPT_POSTFIELDS, rtrim( $fields, "& " )); // use HTTP POST to send form data
	### curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE); // uncomment this line if you get no gateway response. ###
	$resp = curl_exec($ch); //execute post and get results
	curl_close ($ch);
}
?>